<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 

if ( ! function_exists( 'acvc_ws_register_all_chart_shortcode_within_vc' ) ) {
function acvc_ws_register_all_chart_shortcode_within_vc()
	{ 
		//list of tab names
		$group_source				=	__('Source', 'acvc_ws');
		$group_setting		        =	__('Setting', 'acvc_ws');
		$group_logic		        =   __('Logic', 'acvc_ws');				
		$group_design	    		= 	__('Design', 'acvc_ws');
		//list of all source group
		$list_of_all_source_group = array(
			 __('Not Selected', 'acvc_ws') =>'',
			 __('Basic Post Parameters', 'acvc_ws')=>"basic" ,
			 __('Taxonomies', 'acvc_ws')=>"taxo" ,
			 __('Custom Fields', 'acvc_ws') =>"field" ,
		);
		
		//list of all basic dimensions
		$list_of_all_basic_dimensions = array(
			'Not Selected'=>'',
			'post_type'=> 'post_type',
			'post_mime_type'=>'post_mime_type',
			'post_title'=>'post_title', 
			'post_password'=>'post_password',
			'post_author'=> 'post_author',
			'post_date'=> 'post_date',
			//'post_hour_and_minute'=> 'post_hour_and_minute',
			//'post_date_not_time'=> 'post_date_not_time',
			'post_modified'=> 'post_modified',
			//'post_modified_hour_and_minute'=> 'post_modified_hour_and_minute',
			//'post_modified_not_time'=> 'post_modified_not_time',
			'post_status'=> 'post_status',
			'comment_status'=> 'comment_status',
			'ping_status'=> 'ping_status',
			'to_ping'=> 'to_ping',
			'pinged'=>'pinged',
			'post_parent'=> 'post_parent',
			'comment_count'=> 'comment_count',
			'ID'=>'ID',
		);
		
		$list_of_all_basic_dimensions_for_default_query = array(
			'Not Selected'=>'',
			'ID'=>'ID',
			'post_author'=> 'post_author',
			'post date and time'=> 'post_date',
			'post modified date and time'=> 'post_modified',
			'post_status'=> 'post_status',
			'comment_status'=> 'comment_status',
			'ping_status'=> 'ping_status',
			'post_password'=>'post_password',
			'to_ping'=> 'to_ping',
			'pinged'=>'pinged',
			'post_parent'=> 'post_parent',
			'post_type'=> 'post_type',
			'post_mime_type'=>'post_mime_type',
			'comment_count'=> 'comment_count',
			'post_title'=>'post_title', 
		);
		//
		$list_of_the_charts_configuration_options = array(
			"donut bar column line scatter area stepped pie" => array (
				"date_format" => array (
					'param_name'=>"date_format_if_dimension_is_date",
					'heading'=>__("You selected the post_date/post_modified your now set your date format for your chart ", 'acvc_ws'),
					"type" => "string",
					"default" => "",
					"default_value" => "F j, Y",
					"description" => __("This is very important to select your data format for your chart . for more info about date formats see<a href='https://codex.wordpress.org/Formatting_Date_and_Time' > this : Formatting Date and Time </a> ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => 'F j, Y',
					'dependency' 	=> array(
						'element'			 			=> 'select_post_parameter_of_the_source',
						'value' 						=> array('post_date' , 'post_modified'),
					 ),
				),
				"title" => array (
					'param_name'=>"chart_options_title",
					'heading'=>__("Chart title", 'acvc_ws'),
					"type" => "string",
					"default" => "",
					"default_value" => "#auto",
					"description" => __("Text to display above the chart. if = '#auto' the title will display automatically based on the chart source", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => '#auto',
				),	
				"post_item_count" => array (
					'param_name'=>"chart_options_post_item_count_show",
					'heading'=>__("Show the count of the post items in title ?", 'acvc_ws'),
					"type" => "string",
					"default" => "",
					"default_value" => "true",
					"description" => __("Show the count of the post items in title ?", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),	
				"post_item_count_alternative_text" => array (
					'param_name'=>"chart_options_post_item_count_alternative_text",
					'heading'=>__("Alternative text for 'items' when showing count of the post items in title ", 'acvc_ws'),
					"type" => "string",
					"default" => "",
					"default_value" => "- items:",
					"description" => __("Alternative text for 'items' when showing count of the post items in title", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => '- items:',
					'dependency' 	=> array(
						'element'			 			=> 'chart_options_post_item_count_show',
						'value' 						=> array('true'),
					 ),
				),	
				/*"title_text_align" => array (
					'param_name'=>"chart_options_title_text_align",
					'heading'=>"title text align ",
					"type" => "string",
					"default" => "",
					"default_value" => "left",
					"description" => "show the count of the post items in title ?",
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Left'=>'left',
								'Center'=>'center',
								'Right'=>'right',
							), 
				), */
				"alternative_text_for_number" => array (
					'param_name'=>"chart_options_alternative_text_for_number",
					'heading'=>__("Alternative text for 'number' in opened light-box on hover", 'acvc_ws'),
					"type" => "string",
					"default" => "",
					"default_value" => "number",
					"description" => __("Alternative text for 'number' in opened light-box on hover", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => 'number',
				),	
				"enableInteractivity" => array (
					'param_name'=>"chart_options_enable_interactivity",
					'heading'=>__("Enable Interactivity ?", 'acvc_ws'),
					"type" => "boolean",
					"default" => "true",
					"default_value" => "true",
					"description" => __("Whether the chart throws user-based events or reacts to user interaction. If no, the chart will not throw 'select' or other interaction-based events (but will throw ready or error events), and will not display hovertext or otherwise change depending on user input. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),			
			),
			"bar column line area scatter stepped" => array (
				"colorized"=> array (
					'param_name'=>'chart_options_colorized',
					'heading'=>__('Colorized?', 'acvc_ws'),
					"type" => "string",
					"default" => "false",
					"default_value" => "false",
					"description" => __("If 'yes' automatically set different color for each part.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"bar" => "true",
					"column" => "true",
					"scatter" => "true",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"Yes" => "true",
						"No" => "false",
					),
				),
				"part_color" => array (
					'param_name'=>"chart_options_part_color",
					'heading'=>__("Your favorite static color for all part ", 'acvc_ws'),
					"type" => "string",
					"default" => "#3367d6",
					"default_value" => "#3367d6",
					"description" => __("You have set The colorized option to no so you most set your own static color for all part of the chart . / color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "color",
					"input_type_for_now"  => "colorpicker",
					'available_values' => '#000000',
					'dependency' 	=> array(
						'element'			 			=> 'chart_options_colorized',
						'value' 						=> array('false'),
					 ),	
				),
			),
			"donut" => array (
				"pieHole" => array (
					'param_name'=>"chart_options_pie_hole",
					'heading'=>__("Pie hole", 'acvc_ws'),
					"type" => "number",
					"default" => "0",
					"default_value" => "0.4",
					"description" => __("If between 0 and 1, displays a donut chart. The hole with have a radius equal to number times the radius of the chart. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "range",
					"input_type_for_now"  => "textfield",
					'available_values' => '0.4',
				),		
			),
			"pie" => array (
				"is3D" => array (
					'param_name'=>"chart_options_is3d",
					'heading'=>__("Is3D", 'acvc_ws'),
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => __("If true, displays a three-dimensional chart. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),	
				"tooltip_pie" => array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"text" => array (
							'param_name'=>"chart_options_tooltip_pie_text",
							'heading'=>__("Tooltip pie text", 'acvc_ws'),
							"type" => "string",
							"default" => "both",
							"default_value" => "both",
							"description" => __(" What information to display when the user hovers over a pie slice. The following values are supported:  'both' - [Default] Display both the absolute value of the slice and the percentage of the whole.  'value' - Display only the absolute value of the slice. 'percentage' - Display only the percentage of the whole represented by the slice.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"both" => "both",
								"value" => "value",
								"percentage" => "percentage",
							),
						),
					),
				),	
			),
			"stepped" => array (
				"connectSteps" => array (
					'param_name'=>"chart_options_connect_steps",
					'heading'=>__("Connect steps", 'acvc_ws'),
					"type" => "boolean",
					"default" => "true",
					"default_value" => "true",
					"description" => __("If set to true, will connect the steps to form a stepped line. Otherwise, only a top line appears. The default is to connect the steps. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),	
			),
			"area stepped" => array (
				"areaOpacity" => array (
					'param_name'=>"chart_options_area_opacity",
					'heading'=>__("Area Opacity", 'acvc_ws'),
					"type" => "number",
					"default" => "0.3",
					"default_value" => "0.3",
					"description" => __(" The default opacity of the colored area under an area chart series, where 0.0 is fully transparent and 1.0 is fully opaque. To specify opacity for an individual series, set the areaOpacity value in the series property. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "range",
					"input_type_for_now"  => "textfield",
					'available_values' => '0.3',
				),
					
			),
			"line  area" => array (
				"lineWidth" => array (
					'param_name'=>"chart_options_line_width",
					'heading'=>__("Line Width", 'acvc_ws'),
					"type" => "number",
					"default" => "2",
					"default_value" => "2",
					"description" => __("Data line width in pixels. Use zero to hide all lines and show only the points. You can override values for individual series using the series property. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "range",
					"input_type_for_now"  => "textfield",
					'available_values' => '2',
				),	
			),
			"pie donut" => array (
				"pieSliceText" => array (
					'param_name'=>"chart_options_pie_slice_text",
					'heading'=>__("Pie Slice Text", 'acvc_ws'),
					"type" => "string",
					"default" => "percentage",
					"default_value" => "percentage",
					"description" => __("The content of the text displayed on the slice. Can be one of the following:'percentage' - The percentage of the slice size out of the total. 'value' - The quantitative value of the slice. 'label' - The name of the slice. 'none' - No text is displayed.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"percentage" => "percentage",
						"value" => "value",
						"label" => "label",
						"none" => "none",
					),
				),
				"pieStartAngle" => array (
					'param_name'=>"chart_options_pie_start_angle",
					'heading'=>__("Pie Start Angle", 'acvc_ws'),
					"type" => "number",
					"default" => "0",
					"default_value" => "0",
					"description" => __("The angle, in degrees, to rotate the chart by. The default of 0 will orient the leftmost edge of the first slice directly up. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "range",
					"input_type_for_now"  => "textfield",
					'available_values' => '0',
				),
				"pieResidueSliceColor" => array (
					'param_name'=>"chart_options_pie_residue_slice_color",
					'heading'=>__("Pie Residue Slice Color", 'acvc_ws'),
					"type" => "string",
					"default" => "#ccc",
					"default_value" => "#ccc",
					"description" => __("Color for the combination slice that holds all slices below sliceVisibilityThreshold.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "color",
					"input_type_for_now"  => "colorpicker",
					'available_values' => '#ccc',
				),
				"pieResidueSliceLabel" => array (
					'param_name'=>"chart_options_pie_residue_slice_label",
					'heading'=>__("Pie Residue Slice Label", 'acvc_ws'),
					"type" => "string",
					"default" => "Other",
					"default_value" => "Other",
					"description" => __(" 	A label for the combination slice that holds all slices below sliceVisibilityThreshold. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => 'Other',
				),
				"pieSliceTextStyle" => array (
					"type" => "object",
					"default" => " {color: <string>, fontName: <string>, fontSize: <number>} ",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"pie_slice_text_style_overwrite_check" => array (
							'param_name'=>"chart_options_pie_slice_text_style_overwrite",
							'heading'=>__("Overwrite the global option for pie slice text style ?", 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("If yes, displays the fields for overwriting the pie slice text style ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									
						),
						"color" => array (
							'param_name'=>"chart_options_pie_slice_text_style_color",
							'heading'=>__("Pie Slice Text Color", 'acvc_ws'),
							"type" => "string",
							"default" => "black",
							"default_value" => "#000000",
							"description" => __("The color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "color",
							"input_type_for_now"  => "colorpicker",
							'available_values' => '#000000',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_pie_slice_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"fontName" => array (
							'param_name'=>"chart_options_pie_slice_text_style_font_name",
							'heading'=>__("Pie Slice Text Font Name", 'acvc_ws'),
							"type" => "string",
							"default" => "<global-font-name>",
							"default_value" => "",
							"description" => __("The fontName of the slice text ,for example: 'arial' ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_pie_slice_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"fontSize" => array (
							'param_name'=>'chart_options_pie_slice_text_style_font_size',
							'heading'=>__('Pie Slice Text Font Size', 'acvc_ws'),
							"type" => "number",
							"default" => "<global-font-size>",
							"default_value" => "",
							"description" => __("The fontSize of the slice text for example: '10px' ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_pie_slice_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
					),
				),
						
			),
			"line scatter area" => array (
				"curveType"=> array (
					'param_name'=>'chart_options_curve_type',
					'heading'=>__('Curve Type', 'acvc_ws'),
					"type" => "string",
					"default" => "none",
					"default_value" => "none",
					"description" => __("Controls the curve of the lines when the line width is not zero. Can be one of the following:   'none' - Straight lines without curve.   'function' - The angles of the line will be smoothed.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"none" => "none",
						"function" => "function",
					),
				),
				"orientation"=> array (
					'param_name'=>'chart_options_orientation',
					'heading'=>__('Orientation', 'acvc_ws'),
					"type" => "string",
					"default" => "horizontal",
					"default_value" => "horizontal",
					"description" => __("The orientation of the chart. When set to 'vertical', rotates the axes of the chart so that (for instance) a column chart becomes a bar chart, and an area chart grows rightward instead of up", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"horizontal" => "horizontal",
						"vertical" => "vertical",
					),
				),
				"pointShape"=> array (
					'param_name'=>'chart_options_point_shape',
					'heading'=>__('Point Shape', 'acvc_ws'),
					"type" => "string",
					"default" => "circle",
					"default_value" => "circle",
					"description" => __("The shape of individual data elements: 'circle', 'triangle', 'square', 'diamond', 'star', or 'polygon'. See the points documentation for examples. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"circle" => "circle",
						"triangle" => "triangle",
						"square" => "square",
						"diamond" => "diamond",
						"star" => "star",
						"polygon" => "polygon",
					),
				),
				"pointSize"=> array (
					'param_name'=>'chart_options_point_size',
					'heading'=>__('Point Size', 'acvc_ws'),
					"type" => "number",
					"default" => "0",
					"default_value" => "0",
					"description" => __(" Diameter of displayed points in pixels. Use zero to hide all points. You can override values for individual series using the series property. If you're using a trendline, the pointSize option will affect the width of the trendline unless you override it with the trendlines.n.pointsize option. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "number",
					"input_type_for_now"  => "textfield",
					'available_values' => '0',
				),
				"pointsVisible"=> array (
					'param_name'=>'chart_options_point_visible',
					'heading'=>__('Points Visible', 'acvc_ws'),
					"type" => "boolean",
					"default" => "true",
					"default_value" => "true",
					"description" => __("Determines whether points will be displayed. Set to false to hide all points. You can override values for individual series using the series property. If you're using a trendline, the pointsVisible option will affect the visibility of the points on all trendlines unless you override it with the trendlines.n.pointsVisible option. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),
				"crosshair"=> array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"trigger" => array (
							'param_name'=>'chart_options_crosshair_trigger',
							'heading'=>__('Crosshair trigger', 'acvc_ws'),
							"type" => "string",
							"default" => "both",
							"default_value" => "both",
							"description" => __("When to display crosshairs: on 'focus', 'selection', or 'both'. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"both" => "both",
								"focus" => "focus",
								"both" => "both",
							),
						),
						"focused"=> array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									'param_name'=>'chart_options_crosshair_focused_color',
									'heading'=>__('Crosshair focused color', 'acvc_ws'),
									"type" => "string",
									"default" => "null",
									"default_value" => "",
									"description" => __("The crosshair color upon focus.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '',
								),
								"opacity" => array (
									'param_name'=>'chart_options_crosshair_focused_opacity',
									'heading'=>__('Crosshair focused opacity', 'acvc_ws'),
									"type" => "number",
									"default" => "1.0",
									"default_value" => "1.0",
									"description" =>  __("The crosshair opacity, with 0.0 being fully transparent and 1.0 fully opaque. ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "range",
									"input_type_for_now"  => "textfield",
									'available_values' => '1.0',
								),
								"orientation" => array (
									'param_name'=>'chart_options_crosshair_focused_orientation',
									'heading'=>__('Crosshair focused orientation', 'acvc_ws'),
									"type" => "string",
									"default" => "both",
									"default_value" => "both",
									"description" => __("The crosshair orientation, which can be 'vertical' for vertical hairs only, 'horizontal' for horizontal hairs only, or 'both' for traditional crosshairs.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "select",
									"input_type_for_now"  => "dropdown",
									"available_values" => array (
										"both" => "both",
										"vertical" => "vertical",
										"horizontal" => "horizontal",
									),
								),
							),
						),
						"selected"=> array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"color" => array (
									'param_name'=>'chart_options_crosshair_selected_color',
									'heading'=>__('Crosshair selected color', 'acvc_ws'),
									"type" => "string",
									"default" => "null",
									"default_value" => "",
									"description" => __("The crosshair color upon select.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '',
								),
								"opacity" => array (
									'param_name'=>'chart_options_crosshair_selected_opacity',
									'heading'=>__('Crosshair selected opacity', 'acvc_ws'),
									"type" => "number",
									"default" => "1.0",
									"default_value" => "1.0",
									"description" => __("The crosshair opacity, with 0.0 being fully transparent and 1.0 fully opaque. ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "range",
									"input_type_for_now"  => "textfield",
									'available_values' => '1.0',
								),
								"orientation" => array (
									'param_name'=>'chart_options_crosshair_selected_orientation',
									'heading'=>__('Crosshair selected orientation', 'acvc_ws'),
									"type" => "string",
									"default" => "both",
									"default_value" => "both",
									"description" => __("The crosshair orientation, which can be 'vertical' for vertical hairs only, 'horizontal' for horizontal hairs only, or 'both' for traditional crosshairs.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "select",
									"input_type_for_now"  => "dropdown",
									"available_values" => array (
										"both" => "both",
										"vertical" => "vertical",
										"horizontal" => "horizontal",
									),
								),
							),
						),
					),
				),	
			),
			"bar column line scatter" => array (
				"trendlines"=> array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"trendlines_enable_or_disable_check" => array (
							'param_name'=>"chart_options_trendlines_enable_or_disable",
							'heading'=>__("Enable trendlines ?", 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("Whether to enable trendlines or disable / yes = enable / if 'yes' displays fields for trendlines settings ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
						),
						"type" => array (
							'param_name'=>'chart_options_trendlines_type',
							'heading'=>__('Trendlines type', 'acvc_ws'),
							"type" => "string",
							"default" => "linear",
							"default_value" => "linear",
							"description" => __("Whether the trendlines is 'linear' (the default), 'exponential', or 'polynomial'. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"linear" => "linear",
								"exponential" => "exponential",
								"polynomial" => "polynomial",
							),
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"color" => array (
							'param_name'=>'chart_options_trendlines_color',
							'heading'=>__('Trendlines color', 'acvc_ws'),
							"type" => "string",
							"default" => "default series color",
							"default_value" => "",
							"description" => __("The color of the trendline , expressed as either an English color name or a hex string. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "color",
							"input_type_for_now"  => "colorpicker",
							'available_values' => '',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"lineWidth" => array (
							'param_name'=>'chart_options_trendlines_line_width',
							'heading'=>__('Trendlines : line width', 'acvc_ws'),
							"type" => "number",
							"default" => "2",
							"default_value" => "2",
							"description" => __("The line width of the trendline , in pixels. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '2',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"opacity" => array (
							'param_name'=>'chart_options_trendlines_opacity',
							'heading'=>__('Trendlines opacity', 'acvc_ws'),
							"type" => "number",
							"default" => "1.0",
							"default_value" => "1.0",
							"description" => __("The transparency of the trendline , from 0.0 (transparent) to 1.0 (opaque). ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "range",
							"input_type_for_now"  => "textfield",
							'available_values' => '1.0',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"showR2" => array (
							'param_name'=>'chart_options_trendlines_show_r2',
							'heading'=>__('Trendlines : show r2', 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("Whether to show the coefficient of determination in the legend or trendline tooltip. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"visibleInLegend" => array (
							'param_name'=>'chart_options_trendlines_visible_in_legend',
							'heading'=>__('Trendlines : visible in legend', 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("Whether the trendline equation appears in the legend. (It will appear in the trendline tooltip.)", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"degree" => array (
							'param_name'=>'chart_options_trendlines_degree',
							'heading'=>__('Trendlines degree', 'acvc_ws'),
							"type" => "number",
							"default" => "3",
							"default_value" => "3",
							"description" => __("For trendlines of type: 'polynomial', the degree of the polynomial (2 for quadratic, 3 for cubic, and so on). (The default degree may change from 3 to 2 in an upcoming release of Google Charts.) ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' => '3',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"pointSize" => array (
							'param_name'=>'chart_options_trendlines_point_size',
							'heading'=>__('Trendlines point size', 'acvc_ws'),
							"type" => "number",
							"default" => "1",
							"default_value" => "1",
							"description" => __("Trendlines are constucted by stamping a bunch of dots on the chart; this rarely-needed option lets you customize the size of the dots. The trendline's lineWidth option will usually be preferable. However, you'll need this option if you're using the global pointSize option and want a different point size for your trendlines. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '1',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
						"pointsVisible" => array (
							'param_name'=>'chart_options_trendlines_points_visible',
							'heading'=>__('Trendlines points visible', 'acvc_ws'),
							"type" => "boolean",
							"default" => "true",
							"default_value" => "true",
							"description" => __("Trendlines are constucted by stamping a bunch of dots on the chart. The trendline's pointsVisible option determines whether the points for a particular trendline are visible.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_trendlines_enable_or_disable',
								'value' 						=> array('true'),
							 ),	
						),
					),
				),	
			),
			"bar column line scatter area" => array (
				"dataOpacity"=> array (
					'param_name'=>'chart_options_data_opacity',
					'heading'=>__('Data opacity', 'acvc_ws'),
					"type" => "number",
					"default" => "1.0",
					"default_value" => "1.0",
					"description" => __("The transparency of data points, with 1.0 being completely opaque and 0.0 fully transparent. In scatter, histogram, bar, and column charts, this refers to the visible data: dots in the scatter chart and rectangles in the others. In charts where selecting data creates a dot, such as the line and area charts, this refers to the circles that appear upon hover or selection. The combo chart exhibits both behaviors, and this option has no effect on other charts. (To change the opacity of a trendline, see trendline opacity .) ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "range",
					"input_type_for_now"  => "textfield",
					'available_values' => '1.0',
				),
				"animation"=> array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"startup" => array (
							'param_name'=>'chart_options_animation_startup',
							'heading'=>__('Animation startup', 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("Determines if the chart will animate on the initial draw. If true, the chart will start at the baseline and animate to its final state. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
						),
						"duration" => array (
							'param_name'=>'chart_options_animation_duration',
							'heading'=>__('Animation duration', 'acvc_ws'),
							"type" => "number",
							"default" => "0",
							"default_value" => "1000",
							"description" => __("The duration of the animation, in milliseconds. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '1000',
						),
						"easing" => array (
							'param_name'=>'chart_options_animation_easing',
							'heading'=>__('Animation easing', 'acvc_ws'),
							"type" => "string",
							"default" => "linear",
							"default_value" => "linear",
							"description" => __("The easing function applied to the animation. The following options are available:'linear' - Constant speed.'in' - Ease in - Start slow and speed up.'out' - Ease out - Start fast and slow down.'inAndOut' - Ease in and out - Start slow, speed up, then slow down.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"linear" => "linear",
								"in" => "in",
								"out" => "out",
								"inAndOut" => "inAndOut",
							),
						),
						
					),
				),
				"annotations"=> array (
					"type" => "",
					"default" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"annotations_enable_or_disable_check" => array (
							'param_name'=>"chart_options_annotations_enable",
							'heading'=>__("Enable annotations ?", 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("Whether to enable annotations or disable / yes = enable / if 'yes' displays fields for annotations settings ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
						),
						"annotations_content" => array (
							'param_name'=>'chart_options_annotations_content',
							'heading'=>__('Annotation data in chart', 'acvc_ws'),
							"type" => "boolean",
							"default" => "element_number",
							"default_value" => "element_number",
							"description" => __("Annotation data in chart. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'both'=>'both',
								'element_number'=>'element_number',
								'element_name'=>'element_name',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),	
						),
						"annotations_hover_content" => array (
							'param_name'=>'chart_options_annotations_hover_content',
							'heading'=>__('Annotation data for hover on annotation', 'acvc_ws'),
							"type" => "boolean",
							"default" => "both",
							"default_value" => "both",
							"description" => __("Annotation data for hover on annotation. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'both'=>'both',
								'element_number'=>'element_number',
								'element_name'=>'element_name',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),	
						),
						"annotations_separator_for_both_mode" => array (
							'param_name'=>"chart_options_annotations_separator_for_both_mode",
							'heading'=>__("Annotations separator for both mode", 'acvc_ws'),
							"type" => "string",
							"default" => "",
							"default_value" => " : ",
							"description" => __("Text to display between the value and number ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' =>' : ',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),	
						),	
						"alwaysOutside" => array (
							'param_name'=>'chart_options_annotations_always_outside',
							'heading'=>__('Annotations : always outside', 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("In Bar and Column charts, if set to true, draws all annotations outside of the Bar/Column. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),	
						),
						"highContrast" => array (
							'param_name'=>'chart_options_annotations_high_contrast',
							'heading'=>__('Annotations : high contrast', 'acvc_ws'),
							"type" => "boolean",
							"default" => "true",
							"default_value" => "true",
							"description" => __("the annotations.highContrast boolean lets you override Google Charts' choice of the annotation color. By default, annotations.highContrast is true, which causes Charts to select an annotation color with good contrast: light colors on dark backgrounds, and dark on light. If you set annotations.highContrast to false and don't specify your own annotation color, Google Charts will use the default series color for the annotation", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),
						),
						"style" => array (
							'param_name'=>'chart_options_annotations_style',
							'heading'=>__('Annotations style', 'acvc_ws'),
							"type" => "string",
							"default" => "point",
							"default_value" => "point",
							"description" => __("the annotations.style option lets you override Google Charts' choice of the annotation type. It can be either 'line' or 'point'. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"point" => "point",
								"line" => "line",
							),
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_annotations_enable',
								'value' 						=> array('true'),
							 ),
						),
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"annotations_text_style_overwrite_check" => array (
									'param_name'=>"chart_options_annotations_text_style_overwrite",
									'heading'=>__("Overwrite the global option for annotations text style ?", 'acvc_ws'),
									"type" => "boolean",
									"default" => "false",
									"default_value" => "false",
									"description" => __("If yes, displays the fields for overwriting the annotations text style ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
												'Yes'=>'true',
												'No'=>'false',
											), 
								),
								"fontName" => array (
									'param_name'=>'chart_options_annotations_font_name',
									'heading'=>__('Annotations font name', 'acvc_ws'),
									"type" => "string",
									"default" => "null",
									"default_value" => "",
									"description" => __("Annotations font name", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "text",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"fontSize" => array (
									'param_name'=>'chart_options_annotations_font_size',
									'heading'=>__('Annotations font size', 'acvc_ws'),
									"type" => "number",
									"default" => "null",
									"default_value" => "Annotations font size",
									"description" => __("", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "number",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"bold" => array (
									'param_name'=>'chart_options_annotations_bold',
									'heading'=>__('Annotations : bold', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Annotations : bold", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"italic" => array (
									'param_name'=>'chart_options_annotations_italic',
									'heading'=>__('Annotations : italic', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Annotations : italic", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"color" => array (
									'param_name'=>'chart_options_annotations_font_color',
									'heading'=>__('Annotations font color', 'acvc_ws'),
									"type" => "string",
									"default" => "null",
									"default_value" => "",
									"description" => __("The color of the text", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"auraColor" => array (
									'param_name'=>'chart_options_annotations_aura_color',
									'heading'=>__('Annotations aura color', 'acvc_ws'),
									"type" => "string",
									"default" => "null",
									"default_value" => "",
									"description" => __("The color of the text outline.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
								"opacity" => array (
									'param_name'=>'chart_options_annotations_opacity',
									'heading'=>__('Annotations opacity', 'acvc_ws'),
									"type" => "number",
									"default" => "null",
									"default_value" => "",
									"description" => __("The transparency of the text.", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "range",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_annotations_text_style_overwrite',
										'value' 						=> array('true'),
									 ),
								),
							),
						),
					),
				),
				
				
				
			),
			"bar column line scatter area stepped" => array (
				"axisTitlesPosition"=> array (
					'param_name'=>'chart_options_axis_titles_position',
					'heading'=>__('Axis titles position', 'acvc_ws'),
					"type" => "string",
					"default" => "out",
					"default_value" => "out",
					"description" => __("Where to place the axis titles, compared to the chart area. Supported values:in - Draw the axis titles inside the the chart area.out - Draw the axis titles outside the chart area. none - Omit the axis titles.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"out" => "out",
						"in" => "in",
						"none" => "none",
					),
				),
				"titlePosition"=> array (
					'param_name'=>'chart_options_title_position',
					'heading'=>__('Title position', 'acvc_ws'),
					"type" => "string",
					"default" => "out",
					"default_value" => "out",
					"description" => __(" Where to place the chart title, compared to the chart area. Supported values: in - Draw the title inside the chart area. out - Draw the title outside the chart area. none - Omit the title.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "select",
					"input_type_for_now"  => "dropdown",
					"available_values" => array (
						"out" => "out",
						"in" => "in",
						"none" => "none",
					),
				),	
			),
			"bar column line scatter area stepped pie donut" => array (
				"fontSize_auto" => array (
					'param_name'=>'chart_options_font_size_auto',
					'heading'=>__("Set font size automatically ?", 'acvc_ws'),
					"type" => "string",
					"default" => "true",
					"default_value" => "true",
					"description" => __("If no displays a field to set the font size. ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),
				"fontSize" => array (
					'param_name'=>'chart_options_font_size',
					'heading'=>__('Font size', 'acvc_ws'),
					"type" => "number",
					"default" => "automatic",
					"default_value" => "",
					"description" => __("The default font size, in pixels, of all text in the chart. You can override this using properties for specific chart elements.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "number",
					"input_type_for_now"  => "textfield",
					'available_values' => '',
					'dependency' 	=> array(
							'element'			 			=> 'chart_options_font_size_auto',
							'value' 						=> array('false'),
						 ),	
				),
				"fontName" => array (
					'param_name'=>'chart_options_font_name',
					'heading'=>__('Font name', 'acvc_ws'),
					"type" => "string",
					"default" => "arial",
					"default_value" => 'arial',
					"description" => __("The default font face for all text in the chart. You can override this using properties for specific chart elements. ", 'acvc_ws'),
					"is_object" => 'false',
					"input_type"  => 'text',
					"input_type_for_now"  => 'textfield',
					'available_values' => 'arial',
				),
				"forceIFrame" => array (
					'param_name'=>'chart_options_force_iframe',
					'heading'=>__('Force iframe', 'acvc_ws'),
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => __("Draws the chart inside an inline frame. (Note that on IE8, this option is ignored; all IE8 charts are drawn in i-frames.) ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
						'Yes'=>'true',
						'No'=>'false',
					), 
				),
				"height_auto" => array (
					'param_name'=>'chart_options_height_auto',
					'heading'=>__("Set height of the chart automatically ?", 'acvc_ws'),
					"type" => "string",
					"default" => "true",
					"default_value" => "true",
					"description" => __("If no displays a field to set the height of the chart manually else automatic based on height of the containing element . ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),
				"height" => array (
					'param_name'=>'chart_options_height',
					'heading'=>__('Height', 'acvc_ws'),
					"type" => "number",
					"default" => "height of the containing element",
					"default_value" => "",
					"description" => __("Height of the chart, in pixels.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => '',
					'dependency' 	=> array(
							'element'			 			=> 'chart_options_height_auto',
							'value' 						=> array('false'),
						 ),	
				),
				"width_auto" => array (
					'param_name'=>'chart_options_width_auto',
					'heading'=>__("Set width of the chart automatically ?", 'acvc_ws'),
					"type" => "string",
					"default" => "true",
					"default_value" => "true",
					"description" => __("If no displays a field to set the width of the chart manually else automatic based on width of the containing element . ", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
				),
				"width" => array (
					'param_name'=>'chart_options_width',
					'heading'=>__('Width', 'acvc_ws'),
					"type" => "number",
					"default" => "width of the containing element",
					"default_value" => "300",
					"description" => __("Width of the chart, in pixels.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "text",
					"input_type_for_now"  => "textfield",
					'available_values' => '',
					'dependency' 	=> array(
							'element'			 			=> 'chart_options_width_auto',
							'value' 						=> array('false'),
						 ),	
				),
				"reverseCategories" => array (
					'param_name'=>'chart_options_reverse_categories',
					'heading'=>__('Reverse categories', 'acvc_ws'),
					"type" => "boolean",
					"default" => "false",
					"default_value" => "false",
					"description" => __("If true, draws slices counterclockwise. The default is to draw clockwise.", 'acvc_ws'),
					"is_object" => "false",
					"input_type"  => "switch",
					"input_type_for_now"  => "dropdown",
					'available_values' => array(
						'Yes'=>'true',
						'No'=>'false',
					), 
				),
				"titleTextStyle" => array ( 
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"title_text_style_overwrite_check" => array (
							'param_name'=>"chart_options_title_text_style_overwrite",
							'heading'=>__("Overwrite the global option for title text style ?", 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __("If yes, displays the fields for overwriting the title text style ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
						),
						"color" => array (
							'param_name'=>'chart_options_title_text_style',
							'heading'=>__('Title text style color', 'acvc_ws'),
							"type" => "string",
							"default" => "black",
							"default_value" => "#000000",
							"description" => __("The color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "color",
							"input_type_for_now"  => "colorpicker",
							'available_values' => '#000000',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_title_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"fontName" => array (
							'param_name'=>'chart_options_title_font_name',
							'heading'=>__('Title text style : font name ', 'acvc_ws'),
							"type" => "string",
							"default" => "<global-font-name>",
							"default_value" => "",
							"description" => __("The fontName of the chart title ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_title_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"fontSize" => array (
							'param_name'=>'chart_options_title_font_size',
							'heading'=>__('Title text style : font size', 'acvc_ws'),
							"type" => "number",
							"default" => "<global-font-size>",
							"default_value" => "",
							"description" => __("The fontSize of the chart title ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_title_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"bold" => array (
							'param_name'=>'chart_options_title_bold',
							'heading'=>__('Title text style : bold', 'acvc_ws'),
							"type" => "boolean",
							"default" => "null",
							"default_value" => "false",
							"description" => __("Bold or normal ? ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_title_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
						"italic" => array (
							'param_name'=>'chart_options_title_italic',
							'heading'=>__('Title text style : italic', 'acvc_ws'),
							"type" => "boolean",
							"default" => "null",
							"default_value" => "false",
							"description" => __("Italic or normal ? ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
							'dependency' 	=> array(
								'element'			 			=> 'chart_options_title_text_style_overwrite',
								'value' 						=> array('true'),
							 ),	
						),
					),
				),
				"backgroundColor" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"stroke" => array (
							'param_name'=>'chart_options_background_color_stroke',
							'heading'=>__('Color stroke', 'acvc_ws'),
							"type" => "string",
							"default" => "#666",
							"default_value" => "#666",
							"description" => __("The color of the chart border, as an HTML color string.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "color",
							"input_type_for_now"  => "colorpicker",
							'available_values' => '#666',
						),
						"strokeWidth" => array (
							'param_name'=>'chart_options_background_color_stroke_width',
							'heading'=>__('Stroke width', 'acvc_ws'),
							"type" => "number",
							"default" => "0",
							"default_value" => "0",
							"description" => __("The border width, in pixels.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "number",
							"input_type_for_now"  => "textfield",
							'available_values' => '0',
						),
						"fill" => array (
							'param_name'=>'chart_options_background_color_fill',
							'heading'=>__('Background color', 'acvc_ws'),
							"type" => "string",
							"default" => "white",
							"default_value" => "white",
							"description" => __("The background color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "color",
							"input_type_for_now"  => "colorpicker",
							'available_values' => 'white',
						),
					),
				),
				"chartArea" => array (
					"type" => "object",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"width" => array (
							'param_name'=>'chart_options_chart_area_width',
							'heading'=>__('Chart area width', 'acvc_ws'),
							"type" => "number or string",
							"default" => "auto",
							"default_value" => "",
							"description" => __("Two formats are supported: a number, or a number followed by %. A simple number is a value in pixels; a number followed by % is a percentage . empty  means auto", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'pie' => '80%',
							'donut' => '80%',
						),
						"height" => array (
							'param_name'=>'chart_options_chart_area_height',
							'heading'=>__('Chart area height', 'acvc_ws'),
							"type" => "number or string",
							"default" => "auto",
							"default_value" => "",
							"description" => __("Two formats are supported: a number, or a number followed by %. A simple number is a value in pixels; a number followed by % is a percentage. empty  means auto", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "text",
							"input_type_for_now"  => "textfield",
							'available_values' => '',
							'pie' => '80%',
							'donut' => '80%',
						),
					),
				),
				"legend" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"position" => array (
							'param_name'=>'chart_options_legend_position',
							'heading'=>__('Legend position', 'acvc_ws'),
							"type" => "string",
							"default" => "right",
							"default_value" => "right",
							"description" => __("Position of the legend. Can be one of the following:'bottom' - Displays the legend below the chart, 'labeled' - Draws lines connecting slices to their data values,'left' - Displays the legend left of the chart,'none' - Displays no legend,'right' - Displays the legend right of the chart,'top' - Displays the legend above the chart.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"right" => "right",
								"left" => "left",
								"top" => "top",
								"bottom" => "bottom",
								"labeled" => "labeled",
								"none" => "none",
							),
						),
						"alignment" => array (
							'param_name'=>'chart_options_legend_alignment',
							'heading'=>__('Legend alignment', 'acvc_ws'),
							"type" => "string",
							"default" => "automatic",
							"default_value" => "automatic",
							"description" => __("Alignment of the legend. Can be one of the following:'start' - Aligned to the start of the area allocated for the legend.'center' - Centered in the area allocated for the legend.'end' - Aligned to the end of the area allocated for the legend.Start, center, and end are relative to the style -- vertical or horizontal -- of the legend. For example, in a 'right' legend, 'start' and 'end' are at the top and bottom, respectively; for a 'top' legend, 'start' and 'end' would be at the left and right of the area, respectively.The default value depends on the legend's position. For 'bottom' legends, the default is 'center'; other legends default to 'start'. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "select",
							"input_type_for_now"  => "dropdown",
							"available_values" => array (
								"automatic" => "automatic",
								"start" => "start",
								"center" => "center",
								"end" => "end",
							),
						),
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"legend_text_style_overwrite_check" => array (
									'param_name'=>"chart_options_legend_text_style_overwrite",
									'heading'=>__("Overwrite the global option for legend text style ?", 'acvc_ws'),
									"type" => "boolean",
									"default" => "false",
									"default_value" => "false",
									"description" => __("If yes, displays the fields for overwriting the legend text style ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
												'Yes'=>'true',
												'No'=>'false',
											), 
											
								),
								"color" => array (
									'param_name'=>'chart_options_legend_text_style_color',
									'heading'=>__('Text style : color', 'acvc_ws'),
									"type" => "string",
									"default" => "black",
									"default_value" => "#000000",
									"description" => __("The color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '#000000',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_legend_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"fontName" => array (
									'param_name'=>'chart_options_legend_text_style_font_name',
									'heading'=>__('Text style : font name', 'acvc_ws'),
									"type" => "string",
									"default" => "<global-font-name>",
									"default_value" => "",
									"description" => __("The fontName of the chart legend ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "text",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_legend_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"fontSize" => array (
									'param_name'=>'chart_options_legend_text_style_font_size',
									'heading'=>__('Text style : font size', 'acvc_ws'),
									"type" => "number",
									"default" => "<global-font-size>",
									"default_value" => "",
									"description" => __("The fontSize of the chart legend ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "number",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_legend_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"bold" => array (
									'param_name'=>'chart_options_legend_text_style_bold',
									'heading'=>__('Text style : bold', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Bold or normal ? ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_legend_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"italic" => array (
									'param_name'=>'chart_options_legend_text_style_italic',
									'heading'=>__('Text style : italic', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Italic or normal ? ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_legend_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
							),
						),
					),
				),
				"tooltip" => array (
					"type" => "",
					"description" => "",
					"is_object" => "true",
					"elements" => array (
						"tooltipTrigger" => array (
							'param_name'=>'chart_options_tooltip_trigger',
							'heading'=>__('Tooltip trigger (display/hide tooltip) ', 'acvc_ws'),
							"type" => "boolean",
							"default" => "focus",
							"default_value" => "focus",
							"description" => __("The user interaction that causes the tooltip to be displayed:'focus' - The tooltip will be displayed when the user hovers over the element.'none' - The tooltip will not be displayed. 'selection' - The tooltip will be displayed when the user selects the element. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "multi_switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Focus'=>'focus',
								'Selection'=>'selection',
								'None'=>'none',
							), 
						),
						"ignoreBounds" => array (
							'param_name'=>'chart_options_tooltip_ignore_bounds',
							'heading'=>__('Tooltip : ignore bounds', 'acvc_ws'),
							"type" => "boolean",
							"default" => "false",
							"default_value" => "false",
							"description" => __(" If set to true, allows the drawing of tooltips to flow outside of the bounds of the chart on all sides.Note: This only applies to HTML tooltips. If this is enabled with SVG tooltips, any overflow outside of the chart bounds will be cropped.", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
						),
						"showColorCode" => array (
							'param_name'=>'chart_options_tooltip_show_color_code',
							'heading'=>__('Tooltip show : color code', 'acvc_ws'),
							"type" => "boolean",
							"default" => "automatic",
							"default_value" => "true",
							"description" => __("If true, show colored squares next to the series information in the tooltip. The default is true when focusTarget is set to 'category', otherwise the default is false. ", 'acvc_ws'),
							"is_object" => "false",
							"input_type"  => "multi_switch",
							"input_type_for_now"  => "dropdown",
							'available_values' => array(
								'Yes'=>'true',
								'No'=>'false',
							), 
						),
						
						
						"textStyle" => array (
							"type" => "",
							"description" => "",
							"is_object" => "true",
							"elements" => array (
								"tooltip_text_style_overwrite_check" => array (
									'param_name'=>"chart_options_tooltip_text_style_overwrite",
									'heading'=>__("Overwrite the global option for tooltip text style ?", 'acvc_ws'),
									"type" => "boolean",
									"default" => "false",
									"default_value" => "false",
									"description" => __("If yes, displays the fields for overwriting the tooltip text style ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
												'Yes'=>'true',
												'No'=>'false',
											), 
											
								),
								"color" => array (
									'param_name'=>'chart_options_tooltip_text_style_color',
									'heading'=>__('Tooltip : text style - color', 'acvc_ws'),
									"type" => "string",
									"default" => "black",
									"default_value" => "#000000",
									"description" => __("The color can be any HTML color string, for example: 'red' or '#00cc00'", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "color",
									"input_type_for_now"  => "colorpicker",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_tooltip_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"fontName" => array (
									'param_name'=>'chart_options_tooltip_text_style_font_name',
									'heading'=>__('Tooltip : text style - font name', 'acvc_ws'),
									"type" => "string",
									"default" => "<global-font-name>",
									"default_value" => "",
									"description" => __("The fontName of the chart tooltip ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "text",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_tooltip_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"fontSize" => array (
									'param_name'=>'chart_options_tooltip_text_style_font_size',
									'heading'=>__('Tooltip : text style - font size', 'acvc_ws'),
									"type" => "number",
									"default" => "<global-font-size>",
									"default_value" => "",
									"description" => __("The fontSize of the chart tooltip ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "number",
									"input_type_for_now"  => "textfield",
									'available_values' => '',
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_tooltip_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"bold" => array (
									'param_name'=>'chart_options_tooltip_text_style_bold',
									'heading'=>__('Tooltip : text style - bold', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Bold or normal ? ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_tooltip_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
								"italic" => array (
									'param_name'=>'chart_options_tooltip_text_style_italic',
									'heading'=>__('Tooltip : text style - italic', 'acvc_ws'),
									"type" => "boolean",
									"default" => "null",
									"default_value" => "false",
									"description" => __("Italic or normal ? ", 'acvc_ws'),
									"is_object" => "false",
									"input_type"  => "switch",
									"input_type_for_now"  => "dropdown",
									'available_values' => array(
										'Yes'=>'true',
										'No'=>'false',
									), 
									'dependency' 	=> array(
										'element'			 			=> 'chart_options_tooltip_text_style_overwrite',
										'value' 						=> array('true'),
									 ),	
								),
							),
						),
					),
				),
			),
		);

		//list of all taxonomies
		$list_of_all_taxonomies = array('Not Selected'=>'',);
		$taxonomies = get_taxonomies(array(),'objects'); 
		foreach($taxonomies as $object){
			$list_of_all_taxonomies[$object->labels->name] = $object->name; 
		} 
		//list of all custom fields
		$list_of_all_custom_fields =array('Not Selected'=>'',);
		global $wpdb;
		$custom_fields = $wpdb->get_results("SELECT DISTINCT meta_key FROM  $wpdb->postmeta ");
		foreach($custom_fields as $object){
			$list_of_all_custom_fields[$object->meta_key] = $object->meta_key; 
		} 
		 //list of post statuses
		 $list_of_post_statuses=array(
			 __('publish', 'acvc_ws')=>'publish',
			 __('future', 'acvc_ws')=>'future',
			 __('draft', 'acvc_ws')=>'draft',
			 __('pending', 'acvc_ws')=>'pending',
			 __('private', 'acvc_ws')=>'private',
			 __('trash', 'acvc_ws')=>'trash',
			 __('auto-draft', 'acvc_ws')=>'auto-draft',
			 __('inherit', 'acvc_ws')=>'inherit',
		 ); 
		 
		//list of source params
		$list_of_source_params = array(
			$select_the_group_of_the_source = array(
				"param_name" => "select_the_group_of_the_source",
				"heading" => __("The group of the source", 'acvc_ws'),
				"description" => __("Select the group of the source", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Source",
				"holder" => "div",
				"class" => "select_the_group_of_the_source_class",
				'std' => 'taxo',
				'value' 		=> $list_of_all_source_group,
			),
			$select_post_parameter_of_the_source = array(
				"param_name" => "select_post_parameter_of_the_source",
				"heading" => __("The post parameter of the source", 'acvc_ws'),
				"description" => __("Select the post parameter of the source . if empty 'category' will be used ", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Source",
				"holder" => "div",
				"class" => "select_post_parameter_of_the_source_class",
				'value' 		=> $list_of_all_basic_dimensions,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_source',
					'value' 						=> array('basic'),
				 ),	
			),
			$select_taxonomy_of_the_source = array(
				"param_name" => "select_taxonomy_of_the_source",
				"heading" => __("The taxonomy of the source", 'acvc_ws'),
				"description" => __("Select the taxonomy of the source . if empty 'category' will be used", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Source",
				"holder" => "div",
				"class" => "select_taxonomy_of_the_source_class",
				//'std' => 'category',
				'value' 		=> $list_of_all_taxonomies,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_source',
					'value' 						=> array('taxo'),
				 ),	
			),
			$select_custom_field_of_the_source = array(
				"param_name" => "select_custom_field_of_the_source",
				"heading" => __("The custom field of the source", 'acvc_ws'),
				"description" => __("Select the custom field of the source .  if empty 'category' will be used", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Source",
				"holder" => "div",
				"class" => "select_custom_field_of_the_source_class",
				'value' 		=> $list_of_all_custom_fields,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_source',
					'value' 						=> array('field'),
				 ),	
				 
			),
			
			
			
			
		);
		
		$list_of_filter_params = array(
			$choose_post_status_to_include_in_query = array(
				"param_name" => "choose_post_status_to_include_in_query",
				"heading" => __("Choose post status to include Their items in chart", 'acvc_ws'),
				"description" => __("Coose post status to include Their items in chart", 'acvc_ws'),
				"type" => "checkbox",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "choose_post_status_to_include_in_query_class",
				'std' => 'publish',
				'value' 		=> $list_of_post_statuses,
			),
			$select_number_of_the_query_sentences  = array(
				"param_name" => "select_number_of_the_query_sentences",
				"heading" => __("Select number of the query sentences if you want to filter items", 'acvc_ws'),
				"description" => __("You can create three query sentences , for example this is a query sentence : <div style='color:blue' > ( 'taxonomies' = 'categories' = 'book' ) </div> <div> this query sentence will include posts thats have 'book' as category </div>", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_number_of_the_query_sentences_class",
				'value' 		=> array(
					__('No default query ', 'acvc_ws') =>'',
					__('One query', 'acvc_ws')=>"1" ,
					__('Two query', 'acvc_ws')=>"2" ,
					__('Three query', 'acvc_ws')=>"3" ,
				
				),
			),
			//query1
			$select_the_group_of_the_query1 = array(
				"param_name" => "select_the_group_of_the_query1",
				"heading" => __("The group of the query1", 'acvc_ws'),
				"description" => __("Select the group of the query1", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_the_group_of_the_query1_class",
				//'std' => 'taxo',
				'value' 		=> $list_of_all_source_group,
				'dependency' 	=> array(
					'element'			 			=> 'select_number_of_the_query_sentences',
					'value' 						=> array(
						'1',
						'2',
						'3',
					),
				 ),
			),
			
			$select_post_parameter_of_the_query1 = array(
				"param_name" => "select_post_parameter_of_the_query1",
				"heading" => __("The post parameter of the query1", 'acvc_ws'),
				"description" => __("Select the post parameter of the query1", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_post_parameter_of_the_query1_class",
				'value' 		=> $list_of_all_basic_dimensions_for_default_query,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query1',
					'value' 						=> array('basic'),
				 ),	
			),
			$select_taxonomy_of_the_query1 = array(
				"param_name" => "select_taxonomy_of_the_query1",
				"heading" => __("The taxonomy of the query1", 'acvc_ws'),
				"description" => __("Select the taxonomy of the query1", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_taxonomy_of_the_query1_class",
				//'std' => 'category',
				'value' 		=> $list_of_all_taxonomies,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query1',
					'value' 						=> array('taxo'),
				 ),	
			),
			$select_custom_field_of_the_query1 = array(
				"param_name" => "select_custom_field_of_the_query1",
				"heading" => __("The custom field of the query1", 'acvc_ws'),
				"description" => __("Select the custom field of the query1", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query1_class",
				'value' 		=> $list_of_all_custom_fields,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query1',
					'value' 						=> array('field'),
				 ),	
				 
			),
			$select_value_of_the_selected_dimension_query1 = array(
				"param_name" => "select_value_of_the_selected_dimension_query1",
				"heading" => __("Select value of the selected dimension of query1", 'acvc_ws'),
				"description" => __("Select value of the selected dimension of query1", 'acvc_ws'),
				"type" => "acvc_ws_select_ajax_param_type",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query1_class",
				'value' 		=> array(),
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query1',
					'value' 						=> array('field','taxo','basic'),
				 ),	
				 
			),
			//query2
			$select_the_group_of_the_query2 = array(
				"param_name" => "select_the_group_of_the_query2",
				"heading" => __("The group of the query2", 'acvc_ws'),
				"description" => __("Select the group of the query2", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_the_group_of_the_query2_class",
				//'std' => 'taxo',
				'value' 		=> $list_of_all_source_group,
				'dependency' 	=> array(
					'element'			 			=> 'select_number_of_the_query_sentences',
					'value' 						=> array(
						'2',
						'3',
					),
				 ),
			),
			$select_post_parameter_of_the_query2 = array(
				"param_name" => "select_post_parameter_of_the_query2",
				"heading" => __("The post parameter of the query2", 'acvc_ws'),
				"description" => __("Select the post parameter of the query2", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_post_parameter_of_the_query2_class",
				'value' 		=> $list_of_all_basic_dimensions_for_default_query,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query2',
					'value' 						=> array('basic'),
				 ),	
			),
			$select_taxonomy_of_the_query2 = array(
				"param_name" => "select_taxonomy_of_the_query2",
				"heading" => __("The taxonomy of the query2", 'acvc_ws'),
				"description" => __("Select the taxonomy of the query2", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_taxonomy_of_the_query2_class",
				//'std' => 'category',
				'value' 		=> $list_of_all_taxonomies,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query2',
					'value' 						=> array('taxo'),
				 ),	
			),
			$select_custom_field_of_the_query2 = array(
				"param_name" => "select_custom_field_of_the_query2",
				"heading" => __("The custom field of the query2", 'acvc_ws'),
				"description" => __("Select the custom field of the query2", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query2_class",
				'value' 		=> $list_of_all_custom_fields,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query2',
					'value' 						=> array('field'),
				 ),	
				 
			),
			$select_value_of_the_selected_dimension_query2 = array(
				"param_name" => "select_value_of_the_selected_dimension_query2",
				"heading" => __("Select value of the selected dimension of query2", 'acvc_ws'),
				"description" => __("Select value of the selected dimension of query2", 'acvc_ws'),
				"type" => "acvc_ws_select_ajax_param_type",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query2_class",
				'value' 		=> array(),
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query2',
					'value' 						=> array('field','taxo','basic'),
				 ),	
				 
			),
			//query3
			$select_the_group_of_the_query3 = array(
				"param_name" => "select_the_group_of_the_query3",
				"heading" => __("The group of the query3", 'acvc_ws'),
				"description" => __("Select the group of the query3", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_the_group_of_the_query3_class",
				//'std' => 'taxo',
				'value' 		=> $list_of_all_source_group,
				'dependency' 	=> array(
					'element'			 			=> 'select_number_of_the_query_sentences',
					'value' 						=> array(
						'3',
					),
				 ),
			),
			$select_post_parameter_of_the_query3 = array(
				"param_name" => "select_post_parameter_of_the_query3",
				"heading" => __("The post parameter of the query3", 'acvc_ws'),
				"description" => __("Select the post parameter of the query3", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_post_parameter_of_the_query3_class",
				'value' 		=> $list_of_all_basic_dimensions_for_default_query,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query3',
					'value' 						=> array('basic'),
				 ),	
			),
			$select_taxonomy_of_the_query3 = array(
				"param_name" => "select_taxonomy_of_the_query3",
				"heading" => __("The taxonomy of the query3", 'acvc_ws'),
				"description" => __("Select the taxonomy of the query3", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_taxonomy_of_the_query3_class",
				//'std' => 'category',
				'value' 		=> $list_of_all_taxonomies,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query3',
					'value' 						=> array('taxo'),
				 ),	
			),
			$select_custom_field_of_the_query3 = array(
				"param_name" => "select_custom_field_of_the_query3",
				"heading" => __("The custom field of the query3", 'acvc_ws'),
				"description" => __("Select the custom field of the query3", 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query3_class",
				'value' 		=> $list_of_all_custom_fields,
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query3',
					'value' 						=> array('field'),
				 ),	
				 
			),
			$select_value_of_the_selected_dimension_query3 = array(
				"param_name" => "select_value_of_the_selected_dimension_query3",
				"heading" => __("select value of the selected dimension of query3", 'acvc_ws'),
				"description" => __("select value of the selected dimension of query3", 'acvc_ws'),
				"type" => "acvc_ws_select_ajax_param_type",
				"group"=> "Filter Items",
				"holder" => "div",
				"class" => "select_custom_field_of_the_query3_class",
				'value' 		=> array(),
				'dependency' 	=> array(
					'element'			 			=> 'select_the_group_of_the_query3',
					'value' 						=> array('field','taxo','basic'),
				 ),	
				 
			),
		
		);
		
		
		$list_of_logic_params = array(
			$exclude_value_from_the_chart_if_its_length_more_than  = array(
				"param_name" => "exclude_value_from_the_chart_if_its_length_more_than",
				"heading" => __("Exclude value from the chart if its length more than this", 'acvc_ws'),
				"description" => __('If length of text value is more than "this" do not include it in chart. "0" or empty mean 60.', 'acvc_ws'),
				"type" => "textfield",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "exclude_value_from_the_chart_if_its_length_more_than_class",
				'value' 		=> '60',

				 
			),
			$exclude_value_from_the_chart_if_repeated_less_than  = array(
				"param_name" => "exclude_value_from_the_chart_if_repeated_less_than",
				"heading" => __("Exclude value from the chart if repeated less than this", 'acvc_ws'),
				"description" => __('If repetition of a value is less than "this" do not show it in chart. "0" or empty mean no restriction.', 'acvc_ws'),
				"type" => "textfield",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "exclude_value_from_the_chart_if_repeated_less_than_class",
				'value' 		=> '0',

				 
			),
			$if_chart_items_more_than_this_hide_surpluses   = array(
				"param_name" => "if_chart_items_more_than_this_hide_surpluses",
				"heading" => __('If chart contains  more than "this number" items hide Surpluses ', 'acvc_ws'),
				"description" => __('If chart contains  more than "this number" items hide Surpluses . "0" or empty mean 1000. ', 'acvc_ws'),
				"type" => "textfield",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "if_chart_items_more_than_this_hide_surpluses_class",
				'value' 		=> '0', 
			),
			$exclude_empty_value_item_of_chart= array(
				"param_name" => "exclude_empty_value_item_of_chart",
				"heading" => __('Exclude "empty_value item" form the chart', 'acvc_ws'),
				"description" => __('If chart contains "empty_value item" exclude it from the chart', 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "exclude_empty_value_item_of_chart_class",
				"std" => "yes",
				'value' => array(
					'Yes'=>'yes',
					'No'=>'no',
				), 
			),
			$alternative_for_empty_value_item_of_chart= array(
				"param_name" => "alternative_for_empty_value_item_of_chart",
				"heading" => __('Alternative for empty values', 'acvc_ws'),
				"description" => __('If a value is empty replace it with the following text . this text most be unique otherwise it cause some inaccuracy in a chart that have same text as item . ', 'acvc_ws'),
				"type" => "textfield",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "alternative_for_empty_value_item_of_chart_class",
				'value' 		=> 'empty_value', 
				'dependency' 	=> array(
					'element'			 			=> 'exclude_empty_value_item_of_chart',
					'value' 						=> array('no'),
				 ),	
				 
			),
			$exclude_one_space_value_item_of_chart= array(
				"param_name" => "exclude_one_space_value_item_of_chart",
				"heading" => __('Exclude "one_space item" form the charts', 'acvc_ws'),
				"description" => __('If chart contains "one_space item" exclude it from the chart', 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "exclude_one_space_value_item_of_chart_class",
				"std" => "yes",
				'value' => array(
					'Yes'=>'yes',
					'No'=>'no',
				), 
				
			),
			
			
			$alternative_for_one_space_value_item_of_chart= array(
				"param_name" => "alternative_for_one_space_value_item_of_chart",
				"heading" => __('Alternative for empty values', 'acvc_ws'),
				"description" => __('If a value is empty replace it with the following text . this text most be unique otherwise it cause some inaccuracy in a chart that have same text as item . ', 'acvc_ws'),
				"type" => "textfield",
				"group"=> "Logic",
				"holder" => "div",
				"class" => "alternative_for_one_space_value_item_of_chart_class",
				'value' 		=> 'one_space', 
				'dependency' 	=> array(
					'element'			 			=> 'exclude_one_space_value_item_of_chart',
					'value' 						=> array('no'),
				 ),	
				 
			),
			
		);
		//
		
		$args = array (
			'orderby' => 'ID',
			'order'   => 'ASC',
			'posts_per_page'   => -1,
			'post_type'              => array( 'postliststyles_cpt' ),
		);
		$postliststyles_screens_query = new WP_Query( $args );
		$posts=$postliststyles_screens_query->posts;
		$array_option_for_post_list_style = array();
		$dddddddd = 1;
		foreach($posts as $post){
			$array_option_for_post_list_style[$post->post_title]=$post->ID;
			$dddddddd ++;
			if($dddddddd == 2){
				$std1111 = $post->ID;
			}
		}
		$list_of_post_list_params = array(
		
			$post_list_style= array(
				"param_name" => "post_list_style",
				"heading" => __('Style of the post list', 'acvc_ws'),
				"description" => __('Set the style of the post list in lightbox', 'acvc_ws'),
				"type" => "dropdown",
				"group"=> "Post List",
				"holder" => "div",
				"class" => "post_list_style_class",
				"std" => $std1111,
				'value' => $array_option_for_post_list_style, 
			),
			
		);
		//setting param creator for chart
		function setting_param_creator_for_chart($chart_name , $list_of_the_charts_configuration_options){
			$list_of_all_params_in_setting_tab_for_this_chart= array();
			foreach($list_of_the_charts_configuration_options as $chart_names => $array_1){
				//see if params array include current chart type
				if (strpos($chart_names, $chart_name) !== false) {
					foreach($array_1 as $keys => $array_2){
						// check whether this array is param or is object thats containing other params  
						if ($array_2['is_object'] == "true"){
							foreach($array_2['elements'] as $keys => $array_3){
								if ($array_3['is_object'] == "true"){
									foreach($array_3['elements'] as $keys => $array_4){
										$this_param_array=array(
											"param_name" => $array_4['param_name'],
											"heading" => $array_4['heading'],
											"description" => $array_4['description'],
											"type" => $array_4['input_type_for_now'],
											"group"=> "Settings",
											"holder" => "div",
											"class" => $array_4['param_name'].'_class',
											'std' => $array_4['default_value'],
											'value' 		=> $array_4['available_values'],
										);
										if(array_key_exists('dependency', $array_4)){
											$this_param_array['dependency'] = $array_4['dependency'];
										}
										if(array_key_exists($chart_name , $array_4)){
											$this_param_array['std'] = $array_4[$chart_name];
										}
										$list_of_all_params_in_setting_tab_for_this_chart[] = $this_param_array;
									}
								}else{
									$this_param_array=array(
										"param_name" => $array_3['param_name'],
										"heading" => $array_3['heading'],
										"description" => $array_3['description'],
										"type" => $array_3['input_type_for_now'],
										"group"=> "Settings",
										"holder" => "div",
										"class" => $array_3['param_name'].'_class',
										'std' => $array_3['default_value'],
										'value' 		=> $array_3['available_values'],
									);
									if(array_key_exists('dependency', $array_3)){
											$this_param_array['dependency'] = $array_3['dependency'];
									}
									if(array_key_exists($chart_name , $array_3)){
										$this_param_array['std'] = $array_3[$chart_name];
									}
									$list_of_all_params_in_setting_tab_for_this_chart[] = $this_param_array;
								}
							}
						}else{
							$this_param_array=array(
								"param_name" => $array_2['param_name'],
								"heading" => $array_2['heading'],
								"description" => $array_2['description'],
								"type" => $array_2['input_type_for_now'],
								"group"=> "Settings",
								"holder" => "div",
								"class" => $array_2['param_name'].'_class',
								'std' => $array_2['default_value'],
								'value' 		=> $array_2['available_values'],
							);
							if(array_key_exists('dependency', $array_2)){
											$this_param_array['dependency'] = $array_2['dependency'];
							}
							if(array_key_exists($chart_name , $array_2)){
								$this_param_array['std'] = $array_2[$chart_name];
							}
							$list_of_all_params_in_setting_tab_for_this_chart[] = $this_param_array;
						}
					}
				}
			} 
			
			return $list_of_all_params_in_setting_tab_for_this_chart;
		}
		//
		$list_of_all_params= array();
		//
		foreach($list_of_source_params as $key => $array){
			$list_of_all_params[] = $array; 
		} 
		foreach($list_of_filter_params as $key => $array){
			$list_of_all_params[] = $array; 
		}
		foreach($list_of_logic_params as $key => $array){
			$list_of_all_params[] = $array; 
		}
		//
		foreach($list_of_post_list_params as $key => $array){
			$list_of_all_params[] = $array; 
		}
		//
		
		
		$list_of_all_params_for_pie= array();
		$list_of_all_params_for_donut= array();
		$list_of_all_params_for_column= array();
		$list_of_all_params_for_scatter= array();
		$list_of_all_params_for_area= array();
		$list_of_all_params_for_stepped= array();
		$list_of_all_params_for_line= array();
		$list_of_all_params_for_bar= array();
		//
		foreach($list_of_all_params as $key => $array){
			$list_of_all_params_for_pie[] = $array;
			$list_of_all_params_for_donut[] = $array;
			$list_of_all_params_for_column[] = $array;
			$list_of_all_params_for_scatter[] = $array;
			$list_of_all_params_for_area[] = $array;
			$list_of_all_params_for_stepped[] = $array;
			$list_of_all_params_for_line[] = $array;
			$list_of_all_params_for_bar[] = $array;
		}
		
		//

		$list_of_all_params_for_pie_new=setting_param_creator_for_chart('pie' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_pie_new as $key => $array){
			$list_of_all_params_for_pie[] = $array;

		}
		$list_of_all_params_for_donut_new=setting_param_creator_for_chart('donut' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_donut_new as $key => $array){
			$list_of_all_params_for_donut[] = $array;

		}
		$list_of_all_params_for_column_new=setting_param_creator_for_chart('column' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_column_new as $key => $array){
			$list_of_all_params_for_column[] = $array;

		}
		$list_of_all_params_for_scatter_new=setting_param_creator_for_chart('scatter' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_scatter_new as $key => $array){
			$list_of_all_params_for_scatter[] = $array;

		}
		$list_of_all_params_for_area_new=setting_param_creator_for_chart('area' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_area_new as $key => $array){
			$list_of_all_params_for_area[] = $array;

		}
		$list_of_all_params_for_stepped_new=setting_param_creator_for_chart('stepped' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_stepped_new as $key => $array){
			$list_of_all_params_for_stepped[] = $array;

		}
		$list_of_all_params_for_line_new=setting_param_creator_for_chart('line' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_line_new as $key => $array){
			$list_of_all_params_for_line[] = $array;

		}
		$list_of_all_params_for_bar_new=setting_param_creator_for_chart('bar' , $list_of_the_charts_configuration_options);
		foreach($list_of_all_params_for_bar_new as $key => $array){
			$list_of_all_params_for_bar[] = $array;

		}
		//
		
		
		
		$GLOBALS['list_of_all_params_for_pie'] = $list_of_all_params_for_pie;
		$GLOBALS['list_of_all_params_for_donut'] = $list_of_all_params_for_donut;
		$GLOBALS['list_of_all_params_for_column'] = $list_of_all_params_for_column;
		$GLOBALS['list_of_all_params_for_scatter'] = $list_of_all_params_for_scatter;
		$GLOBALS['list_of_all_params_for_area'] = $list_of_all_params_for_area;
		$GLOBALS['list_of_all_params_for_stepped'] = $list_of_all_params_for_stepped;
		$GLOBALS['list_of_all_params_for_line'] = $list_of_all_params_for_line;
		$GLOBALS['list_of_all_params_for_bar'] = $list_of_all_params_for_bar;
		
		//list of chart info for creating theme
		$list_of_chart_info = array(
			"pie" => array (
				"name" => __("Automatic Pie", 'acvc_ws'),	
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_pie_chart_tag",
				"class" => "automatic_pie_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/pie.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_pie,
				//'admin_enqueue_js' => array(ACVC_WS_BASE_URL.'/assets/js/back_end/vc_script.js'),
				//'admin_enqueue_css' => array(ACVC_WS_BASE_URL.'/assets/css/back_end/vc_style.css'),
				//'front_enqueue_js' => array(ACVC_WS_BASE_URL.'/assets/js/back_end/vc_script.js'),
				//'front_enqueue_css' => array(ACVC_WS_BASE_URL.'/assets/css/back_end/vc_style.css'),
			),
			"donut" => array (
				"name" => __("Automatic Donut", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_donut_chart_tag",
				"class" => "automatic_donut_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/donut.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_donut,
			),
			"column" => array (
				"name" => __("Automatic column", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_column_chart_tag",
				"class" => "automatic_column_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/column.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_column,
			),
			"bar" => array (
				"name" => __("Automatic Bar", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_bar_chart_tag",
				"class" => "automatic_bar_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/bar.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_bar,
			),
			"line" => array (
				"name" => __("Automatic Line", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_line_chart_tag",
				"class" => "automatic_line_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/line.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_line,
			),
			"area" => array (
				"name" => __("Automatic Area", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_area_chart_tag",
				"class" => "automatic_area_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/area.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_area,
			),
			"stepped" => array (
				"name" => __("Automatic Stepped", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_stepped_chart_tag",
				"class" => "automatic_stepped_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/stepped.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_stepped,
			),
			"scatter" => array (
				"name" => __("Automatic Scatter", 'acvc_ws'),
				"description" => __("based on your wordpress data", 'acvc_ws'),
				"base" => "automatic_scatter_chart_tag",
				"class" => "automatic_scatter_chart_for_vc",
				"controls" => "full",
				//"weight" => 1,
				"icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/scatter.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
				"category" => __('Automatic Chart', 'acvc_ws'),
				"params" => $list_of_all_params_for_scatter,
			),
		);
		
		//
		foreach($list_of_chart_info as $chart_name => $array){
			vc_map($array);
		} 
		
	
	 }
}


?>