<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
// Register acvc_ws_operation_cpt
if ( ! function_exists( 'acvc_ws_postliststyles_screens_cpt' ) ) {
function acvc_ws_postliststyles_screens_cpt()
{
    $labels = array(
        'name' => _x('postliststyless', 'acvc_ws'),
        'signular_name' => _x('postliststyles', 'acvc_ws'),
        'menu_name' => __('postliststyless', 'acvc_ws'),
        'name_admin_bar' => __('postliststyless', 'acvc_ws'),
        'parent_item_colon' => __('Parent Item:', 'acvc_ws'),
        'all_items' => __('All postliststyless', 'acvc_ws'),
        'add_new_item' => __('Add New postliststyles', 'acvc_ws'),
        'add_new' => __('Add New', 'acvc_ws'),
        'new_item' => __('New postliststyles', 'acvc_ws'),
        'edit_item' => __('Edit postliststyles', 'acvc_ws'),
        'update_item' => __('Update postliststyles', 'acvc_ws'),
        'view_item' => __('View postliststyles', 'acvc_ws'),
        'search_items' => __('Search postliststyless', 'acvc_ws'),
        'not_found' => __('Not found', 'acvc_ws'),
        'not_found_in_trash' => __('Not found in Trash', 'acvc_ws'),
        );
    $args = array(
        'label' => __('acvc_ws_postliststyles_screens_cpt', 'acvc_ws'),
        'description' => __('postliststyles screens Post Type Description', 'acvc_ws'),
        'labels' => $labels,
        'supports' => array(),
        //'taxonomies' => array('category'),
        'hierarchical' => false,
        'public' => true,
        'show_ui' => false,
        'show_in_menu' => false,
        'menu_position' => 5,
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => false,
        'publicly_queryable' => true,
        'capability_type' => 'page',
        );
    register_post_type('postliststyles_cpt', $args);
}
}
// Hook into the 'init' action
add_action('init', 'acvc_ws_postliststyles_screens_cpt', 0);

?>