<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_custom_css_and_js_front_end' ) ) {
	function acvc_ws_custom_css_and_js_front_end()
	{
		wp_register_script('acvc_ws_js_front', ACVC_WS_BASE_URL2.'assets/js/front_end/function.js');
		//wp_register_script('acvc_ws_js_ar_front', ACVC_WS_BASE_URL2.'assets/js/front_end/ajax_requests.js');
		wp_enqueue_script('acvc_ws_js_front');
		//wp_enqueue_script('acvc_ws_js_ar_front');
		//send url of the 1-links-extraction function.js so javascript can dynamically refer to Ajax.php that located in 1-links-extraction  folder
		$translation_array = array(
				'name_1'   => admin_url( 'admin-ajax.php' ),
				'a_value' => '10'
			);//wp_localize_script( $handle, $name, $data );
		wp_localize_script('acvc_ws_js_front', 'pefix_handel', $translation_array);
		//wp_localize_script('acvc_ws_js_ar_front', 'pefix_handel', $translation_array);
		wp_enqueue_style('acvc_ws_css_front_end', ACVC_WS_BASE_URL2.'assets/css/front_end/style.css');
	}
}
if ( ! function_exists( 'acvc_ws_custom_css_and_js_back_end' ) ) {
	function acvc_ws_custom_css_and_js_back_end()
	{
		wp_register_script('acvc_ws_js_back', ACVC_WS_BASE_URL2.'assets/js/back_end/function.js');
		wp_register_script('acvc_ws_js_back_vc', ACVC_WS_BASE_URL2.'assets/js/back_end/vc_script.js');
		wp_enqueue_script('acvc_ws_js_back');
		wp_enqueue_script('acvc_ws_js_back_vc');

		//send url of the 1-links-extraction function.js so javascript can dynamically refer to Ajax.php that located in 1-links-extraction  folder
		$translation_array = array(
				'name_1'   => admin_url( 'admin-ajax.php' ),
				'a_value' => '10'
			);//wp_localize_script( $handle, $name, $data );
		wp_localize_script('acvc_ws_js_back', 'pefix_handel', $translation_array);
		wp_localize_script('acvc_ws_js_back_vc', 'pefix_handel', $translation_array);

		//
		wp_enqueue_style('acvc_ws_css_back_end', ACVC_WS_BASE_URL2.'assets/css/back_end/style.css');
		wp_enqueue_style('acvc_ws_css_back_end_vc', ACVC_WS_BASE_URL2.'assets/css/back_end/vc_style.css');
		wp_enqueue_style('acvc_ws_css_back_end_switch_button', ACVC_WS_BASE_URL2.'assets/css/back_end/switch_button.css');
		wp_enqueue_style('acvc_ws_css_back_end_sortable_section', ACVC_WS_BASE_URL2.'assets/css/back_end/sortable_section.css');
	}
}




if ( ! function_exists( 'acvc_ws_magnific_popup' ) ) {
	function acvc_ws_magnific_popup()
	{
		wp_enqueue_style('acvc_ws_magnific_popup_css',ACVC_WS_BASE_URL2.'assets/libraries/magnific-popup/magnific-popup.css');	
		wp_register_script('acvc_ws_magnific_popup_js', ACVC_WS_BASE_URL2.'assets/libraries/magnific-popup/jquery.magnific-popup.js');
		wp_enqueue_script('acvc_ws_magnific_popup_js');
		
	}
}

if ( ! function_exists( 'acvc_ws_initialize' ) ) {
	function acvc_ws_initialize()
	{
		wp_register_script('acvc_ws_livequery_js', ACVC_WS_BASE_URL2.'assets/libraries/initialize/jquery.initialize.js');
		wp_enqueue_script('acvc_ws_livequery_js');
		
	}
}


if ( ! function_exists( 'acvc_ws_font_awesome_css' ) ) {
	function acvc_ws_font_awesome_css()
	{
		wp_register_style( 'font_awesome_css',ACVC_WS_BASE_URL2.'assets/libraries/font-awesome/css/font-awesome.css',99 );
		wp_enqueue_style('font_awesome_css')	;	
	}
}


if ( ! function_exists( 'acvc_ws_malihu_custom_scrollbar' ) ) {
	function acvc_ws_malihu_custom_scrollbar()
	{
		wp_register_style( 'malihu_scrollbar_css',ACVC_WS_BASE_URL2.'assets/libraries/malihu-custom-scrollbar/jquery.mCustomScrollbar.css',99 );
		wp_enqueue_style('malihu_scrollbar_css');	
		wp_register_script('malihu_scrollbar_js',ACVC_WS_BASE_URL2.'assets/libraries/malihu-custom-scrollbar/jquery.mCustomScrollbar.js');
		wp_enqueue_script('malihu_scrollbar_js');
	}
}


if ( ! function_exists( 'acvc_ws_bootpag' ) ) {
	function acvc_ws_bootpag()
	{
		wp_register_script('acvc_ws_jquery_bootpag_handel', ACVC_WS_BASE_URL2.'assets/libraries/jquery_bootpag/jquery.bootpag.js');
		wp_enqueue_script('acvc_ws_jquery_bootpag_handel');
	}
}

if ( ! function_exists( 'acvc_ws_bootstrap_css' ) ) {
	function acvc_ws_bootstrap_css()
	{
		wp_enqueue_style('bootstrapcdn_css',ACVC_WS_BASE_URL2.'assets/libraries/bootstrap/css/bootstrap.css');
	}
}
if ( ! function_exists( 'acvc_ws_bootstrap_js' ) ) {
	function acvc_ws_bootstrap_js()
	{
		wp_register_script('acvc_ws_bootstrap_handel',ACVC_WS_BASE_URL2.'assets/libraries/bootstrap/js/bootstrap.js');
		wp_enqueue_script('acvc_ws_bootstrap_handel');
	}
}


if ( ! function_exists( 'acvc_ws_jquery_js_wp' ) ) {
	function acvc_ws_jquery_js_wp()
	{
		wp_enqueue_script('jquery' );
		wp_enqueue_script('jquery-ui-core' );
		wp_enqueue_script('jquery-ui-tabs' );
		wp_enqueue_script('jquery-ui-sortable' );
		wp_enqueue_script('jquery-effects-core' );
		wp_enqueue_script('jquery-effects-fade' );
		
	}
}

if ( ! function_exists( 'acvc_ws_jquery_css' ) ) {
	function acvc_ws_jquery_css()
	{
		wp_enqueue_style('jquery-ui', ACVC_WS_BASE_URL2.'assets/libraries/jquery/jquery-ui.css');
	}
}

if ( ! function_exists( 'acvc_ws_google_chart_scripts' ) ) {
	function acvc_ws_google_chart_scripts()
	{
		//wp_register_script('acvc_ws_google_jsapi','https://www.google.com/jsapi');//wp_enqueue_script('acvc_ws_google_jsapi');
		 /*<script type="text/javascript" src="<?php echo ACVC_WS_BASE_URL2.'assets/libraries/gstatic/loader.js'; ?>"></script>*/
		?>
		<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
		<script type="text/javascript" src="https://www.google.com/jsapi"></script>
		<?php	
	}
}

if ( ! function_exists( 'acvc_ws_color_picker_scripts' ) ) {
	function acvc_ws_color_picker_scripts()
	{
		wp_enqueue_style('wp-color-picker');
		wp_enqueue_script('iris', admin_url('js/iris.min.js'),array('jquery-ui-draggable', 'jquery-ui-slider', 'jquery-touch-punch'), false, 1);
		wp_enqueue_script('wp-color-picker', admin_url('js/color-picker.min.js'), array('iris'), false,1);
		$colorpicker_l10n = array('clear' => __('Clear'), 'defaultString' => __('Default'), 'pick' => __('Select Color'));
		wp_localize_script( 'wp-color-picker', 'wpColorPickerL10n', $colorpicker_l10n ); 
		//wp_enqueue_style('wp-color-picker' ); 
		//wp_enqueue_script('wp-color-picker' );
	}
}


if ( ! function_exists( 'acvc_ws_google_chart_scripts_offline' ) ) {
	function acvc_ws_google_chart_scripts_offline()
	{
		
		//
		wp_register_script('acvc_ws_jsapi_compiled_format_module', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/jsapi_compiled_format_module.js');
		wp_enqueue_script('acvc_ws_jsapi_compiled_format_module');
		wp_register_script('acvc_ws_jsapi_compiled_default_module', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/jsapi_compiled_default_module.js');
		wp_enqueue_script('acvc_ws_jsapi_compiled_default_module');
		wp_register_script('acvc_ws_jsapi_compiled_ui_module', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/jsapi_compiled_ui_module.js');
		wp_enqueue_script('acvc_ws_jsapi_compiled_ui_module');
		wp_register_script('acvc_ws_jsapi_compiled_corechart_module', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/jsapi_compiled_corechart_module.js');
		wp_enqueue_script('acvc_ws_jsapi_compiled_corechart_module');
		wp_register_script('acvc_ws_jsapi_compiled_table_module', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/jsapi_compiled_table_module.js');
		wp_enqueue_script('acvc_ws_jsapi_compiled_table_module');
		//
		wp_register_script('acvc_ws_gchart_offline_loader', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/1_loader.js');
		wp_enqueue_script('acvc_ws_gchart_offline_loader');
		wp_register_script('acvc_ws_gchart_offline_jsapi', ACVC_WS_BASE_URL2.'assets/libraries/google-chart/2_jsapi.js');
		wp_enqueue_script('acvc_ws_gchart_offline_jsapi');
		//
		wp_enqueue_style('acvc_ws_google_chart_util',ACVC_WS_BASE_URL2.'assets/libraries/google-chart/8_util.css');
		wp_enqueue_style('acvc_ws_google_chart_tooltip',ACVC_WS_BASE_URL2.'assets/libraries/google-chart/9_tooltip.css');
		wp_enqueue_style('acvc_ws_google_chart_table',ACVC_WS_BASE_URL2.'assets/libraries/google-chart/10_table.css');
	}
}




?>