<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
// Register acvc_ws_operation_cpt
if ( ! function_exists( 'acvc_ws_get_a_new_id_for_new_postliststyle' ) ) {
	function acvc_ws_get_a_new_id_for_new_postliststyle(){
		
		$args = array (
			'post_type'              => array( 'postliststyles_cpt' ),
		);
		$postliststyle_screens_query = new WP_Query( $args );
		$posts=$postliststyle_screens_query->posts;
		$all_postliststyles_ides =array();
		if(!empty($posts)){
			foreach($posts as $post){
				$this_postliststyle_id =get_post_meta( $post->ID, 'acvc_ws_postliststyle_id', true );
				$this_postliststyle_id=(int)$this_postliststyle_id;
				$all_postliststyles_ides[]=$this_postliststyle_id;
			}
			
		$highest_id = max($all_postliststyles_ides); 
		$new_id=$highest_id+1;
		}else{
			$new_id=1;
		}
		return $new_id;
	}
}


?>