<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_light_box_for_all_settings' ) ) {
	function acvc_ws_light_box_for_all_settings()
	{
		
	?>
	<span  style="display:none" >
			<div id="acvc_ws_light_box_for_all_settings_id" style="background-color:white;padding: 38px 20px;" >
			
			
			<div id="acvc_ws_light_box_tabs_in_postliststyle_screen">
  <ul>
    <li><a href="#tabs-General" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >General</a></li>
    <li><a href="#tabs-Font" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >Font</a></li>
    <li><a href="#tabs-Height" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >Width and Height</a></li>
	<li><a href="#tabs-Alignment" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >Alignment</a></li>
	<li><a href="#tabs-Padding" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >Padding & Margins</a></li>
	<li><a href="#tabs-Border" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >Border</a></li>
	<li><a href="#tabs-shadow" style="font-weight: bold;font-size: 12px;padding: 5px 6px !important;" >shadow</a></li>
  </ul>
  <div id="tabs-General" class="acvc_ws_tabs_in_light_box">
  
			<!--  for wrappers  ********************************************************************** -->
			<div class="acvc_ws_setting_for_wrappers " style="display:none;" >
				<!-- attention -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><img width="20px"  src="<?php echo 'kkkkkk' ?>" /> <?php _e( 'Attention ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'This is a wrapper element , this element contain child elements and they have their own settings such as font settings. ', 'acvc_ws' ); ?></div>
				</div>
			</div> 
  
			<div class="acvc_ws_for_static_content_custom_text" >
				<!-- custom content -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Custom Text', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'your custom content ', 'acvc_ws' ); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_custom_content_custom_text"    >
					</div> 
				</div>
			</div>
			
			<div class="acvc_ws_for_static_content_delimiter" >
				<!-- delimiter -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Delimiter', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'your custom content for delimiter ', 'acvc_ws' ); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_custom_content_delimiter"    >
					</div> 
				</div>
			</div>
			
			<div class="acvc_ws_for_dynamic_element_date_format" >
				<!-- date format -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Date Format', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'Date Format ', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("https://codex.wordpress.org/Formatting_Date_and_Time"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_date_format"    >
					</div> 
				</div>
			</div>
			
			<div class="acvc_ws_for_dynamic_element_featured_image_size" >
				<!-- featured image -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Featured Image', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'featured image , medium is the default', 'acvc_ws' ); ?>  </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_featured_image_size">
							<option value="not_selected" >not selected</option>
							<option value="thumbnail" >thumbnail</option>
							<option value="medium" >medium</option>
							<option value="large">large</option>
							<option value="full" >full</option>
						</select>
					</div>
				</div>
			</div>
			<div class="acvc_ws_for_basic_parameters_and_custom_fields" >	
				<!-- convert to link   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Link this element to the post', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'Link this element to the post', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_link_this_element">
							<option value="yes"  >yes</option>
							<option value="no"  >no</option>
						</select>
					</div>
				</div>
				<!-- link  target -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Link  target', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'Link  target', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_link_this_element_target">
							<option value="_blank"  >_blank</option>
							<option value="_self"  >_self</option>
						</select>
					</div>
				</div>
			</div>	
			<div class="acvc_ws_for_taxo_elements" >	
				<!-- term separator -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Term separator', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'Term separator ', 'acvc_ws' ); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_term_separator"    >
					</div> 
				</div>
				<!-- term link  target -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Term link  target', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'Term link  target', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_term_link_target">
							<option value="_blank"  >_blank</option>
							<option value="_self"  >_self</option>
						</select>
					</div>
				</div>
			</div>	
			
				<!-- background color -->
				<div class="acvc_ws_setting_section acvc_ws_background_color" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Background color ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" >
						<?php _e( 'Set the background color. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_background-color.asp"); ?> 					</div>
					<div class="acvc_ws_option_max_length_in">
						<input id="colorpicker" class="acvc_ws_color_field" type="text" name="all_element_setting_instance2242_background_color"   >
					</div> 
				</div>
				<!-- word-wrap   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Word wrap ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'The word-wrap property allows long words to be able to be broken and wrap onto the next line. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_word-wrap.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_word_wrap">
							<option value="not_selected" >not selected</option>
							<option value="normal"   >normal</option>
							<option value="break-word" >break-word</option>
							<option value="initial">initial</option>
							<option value="inherit" >inherit</option>
						</select>
					</div>
				</div>
				<!-- word-break   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Word break ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( ' The word-break property specifies line breaking rules for non-CJK scripts.Tip: CJK scripts are Chinese, Japanese and Korean ("CJK") scripts. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_word-break.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_word_break">
							<option value="not_selected" >not selected</option>
							<option value="normal"  >normal</option>
							<option value="break-all"  >break-all</option>
							<option value="keep-all" >keep-all </option>
							<option value="initial" >initial</option>
							<option value="inherit" >inherit</option>
						</select>
					</div>
				</div>
				<!-- letter-spacing -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Letter spacing ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'The letter-spacing property increases or decreases the space between characters in a text. you can use css standard values  for this property  such as "normal" ,"10px" ,"-10" ,"2em" ,"2cm" ,"initial" or "inherit".', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_text_letter-spacing.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_letter_spacing"   >
					</div> 
				</div>
				<!-- word-spacing -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Word spacing ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'The word-spacing property increases or decreases the white space between words. you can use css standard values  for this property  such as "normal" ,"10px" ,"-10" ,"2em" ,"2cm" ,"initial" or "inherit".', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_text_word-spacing.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_word_spacing"    >
					</div> 
				</div>
				
				<!-- z-index -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Z-index', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( '.The z-index property specifies the stack order of an element.An element with greater stack order is always in front of an element with a lower stack order. you can use css standard values for this property  such as "10" ,"auto" ,"initial" or "inherit". ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_pos_z-index.asp"); ?>  </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_z_index"    >
					</div> 
				</div>

  
  </div>
  <div id="tabs-Font" class="acvc_ws_tabs_in_light_box">
				<!-- font -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Font', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( ' Font settings . ', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_setting_section" >
						
							<div><h5  class="acvc_ws_setting_title"  ><?php _e( 'Size', 'acvc_ws' ); ?></h5></div>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the font size. you can use css standard values such as "10px" ,"10%" ,"10em" ,"10cm" ,"initial" or "inherit". ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_font_font-size.asp"); ?> </div>
						<div class="acvc_ws_option_max_length_in">	
							<input type="text" name="all_element_setting_instance2242_font_size"   >
						</div>
						</div>
						<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Color', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the font color.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_text_color.asp"); ?> </div>
							<input type="text" class="acvc_ws_color_field" name="all_element_setting_instance2242_font_color"   >
						</div>
						</div>
						<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Font name', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Enter the font name. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_font_font-family.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_font_name"  >
						</div>
						</div>
						<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'Bold', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_font_bold" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
						</div>
						<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'Italic', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_font_italic" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
						</div>
				  </div>

  </div>
  <div id="tabs-Height" class="acvc_ws_tabs_in_light_box">
				<!-- hight and width  -->
				<div class="acvc_ws_setting_section" >
				<h5  class="acvc_ws_setting_title"  ><?php _e( 'Width and height', 'acvc_ws' ); ?></h5>
				<div class="acvc_ws_setting_description" ><?php _e( 'You can use css standard values such as "auto" ,"10px" ,"10%" ,"10em" ,"10cm" ,"initial" or "inherit".', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in acvc_ws_hide_for_post_list_sortable_main_continer">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Width', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the width.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_width.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_width_px"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Height', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the height.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_height.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_height_px"  >
						</div>
					</div>
					<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in acvc_ws_hide_for_post_list_sortable_main_continer">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Min width', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the min width. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_min-width.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_min_width_px"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Min height', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the min height. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_min-height.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_min_height_px"  >
						</div>
					</div>
					<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in acvc_ws_hide_for_post_list_sortable_main_continer">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'max width', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the max width.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_max-width.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_max_width_px"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Max height', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the max height. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_dim_max-height.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_max_height_px"  >
						</div>
					</div>
				</div>
				<!-- overflow-x   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Overflow-x ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'Overflow-x Property settings.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_overflow-x.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_overflow_x">
							<option value="not_selected" >not selected</option>
							<option value="hidden">hidden</option>
							<option value="auto">auto</option>
							<option value="visible">visible</option>
							<option value="scroll">scroll</option>
							<option value="initial">initial</option>
							<option value="inherit" >inherit</option>			  
						</select>
					</div>
				</div>
				<!-- overflow-y   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Overflow-y ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( ' Overflow-y Property settings. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_overflow-y.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_overflow_y">
							<option value="not_selected" >not selected</option>
							<option value="auto" >auto</option>
							<option value="visible"  >visible</option>
							<option value="hidden" >hidden</option>
							<option value="scroll"  >scroll</option>
							<option value="initial"  >initial</option>
							<option value="inherit" >inherit</option>			  
						</select>
					</div>
				</div>

  </div>
  <div id="tabs-Alignment" class="acvc_ws_tabs_in_light_box">
				<!-- text-align   -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Text align', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'Text align  Property settings.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_text_text-align.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_text_align">
							<option value="not_selected" >not selected</option>
							<option value="center" >center</option>
							<option value="left" >left</option>
							<option value="right" >right</option>
							<option value="justify" >justify</option>
							<option value="initial" >initial</option>
							<option value="inherit" >inherit</option>
						</select>
					</div>
				</div>
				<!-- float  -->
				<div class="acvc_ws_setting_section  acvc_ws_hide_for_post_list_sortable_main_continer" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Float', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'Float Property settings.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_class_float.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_float">
							<option value="not_selected" >not selected</option>
							<option value="initial"  >initial</option>
							<option value="left"  >left</option>
							<option value="right">right</option>
							<option value="none"  >none</option>
							<option value="inherit">inherit</option>
						</select>
					</div>
				</div>
				<!-- direction    -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Direction ', 'acvc_ws' ); ?> </h5>
					<div class="acvc_ws_setting_description" ><?php _e( ' Direction Property settings.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_text_direction.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_direction">
						    <option value="not_selected" >not selected</option>
							<option value="ltr">ltr</option>
							<option value="rtl" >rtl</option>
							<option value="initial">initial</option>
							<option value="inherit" >inherit</option>
						</select>
					</div>
				</div>
				<!-- display  -->
				<div class="acvc_ws_setting_section  acvc_ws_hide_for_post_list_sortable_main_continer" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Display', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( ' Display Property settings. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_class_display.asp"); ?> </div>
					<div class="acvc_ws_option_max_length_in">
						<select name="all_element_setting_instance2242_display_block">
							<option value="not_selected" >not selected</option>
							<option value="initial">initial</option>
							<option value="block">block</option>
							<option value="table">table</option>
							<option value="flex">flex</option>
							<option value="inline" >inline</option>
							<option value="inline-block" >inline-block</option>
							<option value="inline-flex" >inline-flex</option>
							<option value="none" >none</option>				  
						</select>
					</div>
				</div>
				<!--  vertical-align -->
				<div class="acvc_ws_setting_section  acvc_ws_hide_for_post_list_sortable_main_continer" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Vertical align ', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" ><?php _e( 'The vertical-align property sets the vertical alignment of an element. you can use css standard values for this property  such as "50%" ,"10px" ,"-10px" ,"10cm" ,"baseline","middle","top","bottom","text-top","text-bottom" ,"initial" or "inherit".', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_pos_vertical-align.asp"); ?>  </div>
					<div class="acvc_ws_option_max_length_in">
						<input type="text" name="all_element_setting_instance2242_vertical_align"    >
					</div> 
				</div>
  
  </div>
  <div id="tabs-Padding" class="acvc_ws_tabs_in_light_box">
				<!-- margins  -->
				<div class="acvc_ws_setting_section  acvc_ws_hide_for_post_list_sortable_main_continer" >
				<h5  class="acvc_ws_setting_title"  ><?php _e( 'Margins', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'You can use css standard values for this property  such as "10px" ,"10%" ,"10em" ,"10cm" ,"auto" ,"initial" or "inherit".', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Top', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the top margin. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_margin-top.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_margin_top"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Bottom', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the bottom margin. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_margin-bottom.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_margin_bottom"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Left', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the left margin. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_margin-left.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_margin_left"  >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Right', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the right margin.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_margin-right.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_margin_right"  >
						</div>
					</div>
				</div>
				<!-- padding  -->
				<div class="acvc_ws_setting_section" >
				<h5  class="acvc_ws_setting_title"  ><?php _e( 'Padding', 'acvc_ws' ); ?></h5>
				<div class="acvc_ws_setting_description" ><?php _e( ' You can use css standard values for this property  such as "10px" ,"10%" ,"10em" ,"10cm" ,"auto" ,"initial" or "inherit".', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_setting_section" >
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Top', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the top padding.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_padding-top.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_padding_top"   >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Bottom', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the bottom padding.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_padding-bottom.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_padding_bottom"  >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Left', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the left padding.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_padding-left.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_padding_left"  >
						</div>
						<div class="acvc_ws_option_max_length_in">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Right', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the right padding.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_padding-right.asp"); ?> </div>
							<input type="text" name="all_element_setting_instance2242_padding_right" >
						</div>
					</div>
				</div>

  </div>
  <div id="tabs-Border" class="acvc_ws_tabs_in_light_box">
  
				<!-- border  -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'Border settings.', 'acvc_ws' ); ?></div>
					<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_border_enable" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border type ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'The border typr property . ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-style.asp"); ?> </div>
						<div class="acvc_ws_option_max_length_in">
							<select name="all_element_setting_instance2242_border_type">
							  <option value="not_selected" >not selected</option>
							  <option value="none" >none</option>
							  <option value="solid"   >solid</option>			
							  <option value="dotted"  >dotted</option>
							  <option value="dashed"  >dashed</option>
							  <option value="double"  >double</option>
							  <option value="groove"  >groove</option>
							  <option value="ridge" >ridge</option>				
							  <option value="inset"  >inset</option>				 
							  <option value="outset"  >outset</option>				 
							</select>
						</div>
					</div>	
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border width', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the border width. you can use css standard values for this property  such as "10px" ,"10em" ,"10cm" ,"initial" or "inherit".', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-width.asp"); ?> </div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_border_width" >
						</div>
					</div>
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border color', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'Set the border color.', 'acvc_ws' ); ?>  <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-color.asp"); ?> </div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_border_color"  class="acvc_ws_color_field"   >
						</div>
					</div>
					
					<!-- border-top  -->
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border top ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'The border-top property .', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_border_top_enable" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border type', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-top type. ', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-top_style.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<select name="all_element_setting_instance2242_border_top_type">
								  <option value="not_selected" >not selected</option>
								  <option value="none" >none</option>
								  <option value="solid" >solid</option>			
								  <option value="dotted" >dotted</option>
								  <option value="dashed" >dashed</option>
								  <option value="double">double</option>
								  <option value="groove">groove</option>
								  <option value="ridge">ridge</option>				
								  <option value="inset">inset</option>				 
								  <option value="outset">outset</option>				 
								</select>
							</div>
						</div>	
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border width', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-top width.  ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-top_width.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_top_width"  >
							</div>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border color', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-top color.', 'acvc_ws' ); ?>  <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-top_color.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_top_color"  class="acvc_ws_color_field"   >
							</div>
						</div>
					</div>
					<!-- border-bottom  -->
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border bottom ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'The border-bottom property . ', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_border_bottom_enable" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
							
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border type', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-bottom type. ', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-bottom_style.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<select name="all_element_setting_instance2242_border_bottom_type">
								  <option value="not_selected" >not selected</option>
								  <option value="none">none</option>
								  <option value="solid">solid</option>			
								  <option value="dotted">dotted</option>
								  <option value="dashed">dashed</option>
								  <option value="double">double</option>
								  <option value="groove">groove</option>
								  <option value="ridge">ridge</option>				
								  <option value="inset">inset</option>				 
								  <option value="outset">outset</option>				 
								</select>
							</div>
						</div>	
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border width', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-bottom width. you can use css standard values for this property  such as "10px" ,"10em" ,"10cm" ,"initial" or "inherit".', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-bottom_width.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_bottom_width"  >
							</div>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border color', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-bottom color. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-bottom_color.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_bottom_color"  class="acvc_ws_color_field"  >
							</div>
						</div>
					</div>
					<!-- border-left  -->
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border left ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'The border-left property .', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref(""); ?> </div>
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_border_left_enable" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border type', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-left type. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-left_style.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<select name="all_element_setting_instance2242_border_left_type">
								  <option value="not_selected" >not selected</option>
								  <option value="none" >none</option>
								  <option value="solid" >solid</option>			
								  <option value="dotted">dotted</option>
								  <option value="dashed" >dashed</option>
								  <option value="double">double</option>
								  <option value="groove" >groove</option>
								  <option value="ridge" >ridge</option>				
								  <option value="inset"  >inset</option>				 
								  <option value="outset" >outset</option>				 
								</select>
							</div>
						</div>	
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border width', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-left width. you can use css standard values for this property  such as "10px" ,"10em" ,"10cm" ,"initial" or "inherit".', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-left_width.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_left_width"  >
							</div>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border color', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-left color. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-left_color.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_left_color"  class="acvc_ws_color_field" >
							</div>
						</div>
					</div>
					<!-- border-right  -->
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border right ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( 'The border-right property .', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
							<label class="acvc_ws_switch">
								<input id="all_element_setting_instance2242_border_right_enable" type="checkbox">
								<div class="acvc_ws_slider round"></div>
							</label>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border type', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-right type.', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-right_style.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<select name="all_element_setting_instance2242_border_right_type">
								 <option value="not_selected" >not selected</option>
								 <option value="none" >none</option>
								  <option value="solid" >solid</option>			
								  <option value="dotted">dotted</option>
								  <option value="dashed" >dashed</option>
								  <option value="double">double</option>
								  <option value="groove" >groove</option>
								  <option value="ridge" >ridge</option>				
								  <option value="inset"  >inset</option>				 
								  <option value="outset" >outset</option>				 
								</select>
							</div>
						</div>	
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border width', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'set the border-right width. you can use css standard values for this property  such as "10px" ,"10em" ,"10cm" ,"initial" or "inherit". ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-right_width.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_right_width"  >
							</div>
						</div>
						<div class="acvc_ws_setting_section" >
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border color', 'acvc_ws' ); ?></h5>
							<div class="acvc_ws_setting_description" ><?php _e( 'Set the border-right color. ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/pr_border-right_color.asp"); ?> </div>
							<div class="acvc_ws_option_max_length_in">
								<input type="text" name="all_element_setting_instance2242_border_right_color"  class="acvc_ws_color_field" >
							</div>
						</div>
					</div>
					
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Border radius ', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'You can use css standard values for this property such as "10px" ,"10%" ,"10em" ,"initial" or "inherit".', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Top left radius', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_border-top-left-radius.asp"); ?> </h5>
							<input type="text" name="all_element_setting_instance2242_border_top_left_radius"  >
						</div>
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Top right radius ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_border-top-right-radius.asp"); ?> </h5>
							<input type="text" name="all_element_setting_instance2242_border_top_right_radius"  >
						</div>
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Bottom right radius ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_border-bottom-right-radius.asp"); ?> </h5>
							<input type="text" name="all_element_setting_instance2242_border_bottom_right_radius" >
						</div>
						<div class="acvc_ws_option_max_length_in">
							<h5  class="acvc_ws_setting_title"  ><?php _e( 'Bottom left radius ', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_border-bottom-left-radius.asp"); ?> </h5>
							<input type="text" name="all_element_setting_instance2242_border_bottom_left_radius"  >
						</div>
					</div>
					
				</div>
  </div>
  <div id="tabs-shadow" class="acvc_ws_tabs_in_light_box">
  
				<!-- text-shadow  -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Text shadow', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'The text-shadow property adds shadow to text.', 'acvc_ws' ); ?><?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_text-shadow.asp"); ?> </div>
					<div class="acvc_ws_setting_section" >
					<div class="acvc_ws_option_max_length_in">
						<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
						<label class="acvc_ws_switch">
							<input id="all_element_setting_instance2242_text_shadow_enable" type="checkbox">
							<div class="acvc_ws_slider round"></div>
						</label>
					</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'H-shadow', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'The position of the horizontal shadow. for example "5px".', 'acvc_ws' ); ?>  </div>
							<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_text_shadow_h_shadow"   >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'V-shadow', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( ' The position of the vertical shadow. for example "5px". ', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_text_shadow_v_shadow" >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Blur', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'The blur distance. for example "5px".', 'acvc_ws' ); ?> </div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_text_shadow_blur"   >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Color', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'The color of the shadow. ', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_text_shadow_color"  class="acvc_ws_color_field"  >
						</div>
					</div>		
				</div>
				<!-- box shadow  -->
				<div class="acvc_ws_setting_section" >
					<h5  class="acvc_ws_setting_title"  ><?php _e( 'Box shadow', 'acvc_ws' ); ?></h5>
					<div class="acvc_ws_setting_description" > <?php _e( 'Box shadow settings', 'acvc_ws' ); ?> <?php acvc_ws_echo_ex_link_ref("http://www.w3schools.com/cssref/css3_pr_box-shadow.asp"); ?></div>
					<div class="acvc_ws_setting_section" >
					<div class="acvc_ws_option_max_length_in">
						<div class="acvc_ws_float_left"><h5  class="acvc_ws_setting_title"  ><?php _e( 'enable or disable', 'acvc_ws' ); ?></h5></div>
						<label class="acvc_ws_switch">
							<input id="all_element_setting_instance2242_box_shadow_enable" type="checkbox">
							<div class="acvc_ws_slider round"></div>
						</label>
					</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'H-shadow', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( ' The position of the horizontal shadow. for example "5px". ', 'acvc_ws' ); ?> </div>
							<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_box_shadow_h_shadow" >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'V-shadow', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( ' The position of the vertical shadow. for example "5px".', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_box_shadow_v_shadow" >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Blur', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'The blur distance. for example "5px".', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_box_shadow_blur"  >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Spread', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" > <?php _e( 'The size of shadow. for example "5px".', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_box_shadow_spread" >
						</div>
					</div>
					<div class="acvc_ws_setting_section">
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Color', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( ' The color of the shadow. ', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<input type="text" name="all_element_setting_instance2242_box_shadow_color"  class="acvc_ws_color_field"   >
						</div>
					</div>
					<div class="acvc_ws_setting_section" >
						<h5  class="acvc_ws_setting_title"  ><?php _e( 'Direction', 'acvc_ws' ); ?></h5>
						<div class="acvc_ws_setting_description" ><?php _e( ' The shadow direction.', 'acvc_ws' ); ?></div>
						<div class="acvc_ws_option_max_length_in">
							<select name="all_element_setting_instance2242_box_shadow_direction">
							  <option value="not_selected" >not selected</option>
							  <option value="outset"  >outset</option>
							  <option value="inset" >inset</option>			
							</select>
						</div>
					</div>
				</div>
  
  </div>
</div>
			
			
			
			
			<!--  for post_list_manual_section pagination ********************************************************************** -->
			<div class="acvc_ws_setting_for_post_list_manual_section_pagination acvc_ws_hide_after_close2"  >
				
			</div> 
			<!--  for analys_section_section tabs ********************************************************************** -->
			<div class="acvc_ws_setting_for_analys_section_section_tabs acvc_ws_hide_after_close2"  >
				
			</div> 
			<!--  for navigation_path_section first_static ********************************************************************** -->
			<div class="acvc_ws_setting_for_navigation_path_section_first_static acvc_ws_hide_after_close2"  >
				
			</div> 
			<!--  for navigation_path_section group_element ********************************************************************** -->
			<!-- alternative text for "group element" -->
			<div class="acvc_ws_setting_for_navigation_path_section_group_element acvc_ws_hide_after_close2"  >
				
			</div>
			
			<!--  public ********************************************************************** -->
			<div class="acvc_ws_setting_for_public acvc_ws_hide_after_close2"  >

			</div>
		</div> 
	</span>
				
	<?php 
		
	}
}
?>