<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_inline_style_creator_for_texonomy_terms' ) ) {
	function acvc_ws_inline_style_creator_for_texonomy_terms($this_settings){

		//create inline style string based of founded settings .
		$css_style_string = '';
		if(is_array($this_settings)){
			//background-color
			if (isset($this_settings['all_element_setting_instance2242_background_color']) and strlen($this_settings['all_element_setting_instance2242_background_color']) >= 3){
				$css_style_string=$css_style_string.'background-color: '.$this_settings['all_element_setting_instance2242_background_color'].'; ';
			} 
			//font-size
			if (isset($this_settings['all_element_setting_instance2242_font_size']) and strlen($this_settings['all_element_setting_instance2242_font_size']) >= 2){
				$css_style_string=$css_style_string.'font-size: '.$this_settings['all_element_setting_instance2242_font_size'].'; ';
			}
			//color
			if (isset($this_settings['all_element_setting_instance2242_font_color']) and strlen($this_settings['all_element_setting_instance2242_font_color']) >= 2){
				$css_style_string=$css_style_string.'color: '.$this_settings['all_element_setting_instance2242_font_color'].'; ';
			}
			//font-family
			if (isset($this_settings['all_element_setting_instance2242_font_name']) and  strlen($this_settings['all_element_setting_instance2242_font_name']) >= 2){
				$css_style_string=$css_style_string.'font-family: '.$this_settings['all_element_setting_instance2242_font_name'].'; ';
			}
			//font-weight
			if (isset($this_settings['all_element_setting_instance2242_font_bold']) and $this_settings['all_element_setting_instance2242_font_bold'] == 'true'){
				$css_style_string=$css_style_string.'font-weight: bold; ';
			}
			//font-style 
			if (isset($this_settings['all_element_setting_instance2242_font_italic']) and $this_settings['all_element_setting_instance2242_font_italic'] == 'true'){
				$css_style_string=$css_style_string.'font-style: italic; ';
			}
			
			
			//text-align
			if (isset($this_settings['all_element_setting_instance2242_text_align']) and $this_settings['all_element_setting_instance2242_text_align']!='not_selected' ){
				$css_style_string=$css_style_string.'text-align: '.$this_settings['all_element_setting_instance2242_text_align'].'; ';
			}
			//direction
			if (isset($this_settings['all_element_setting_instance2242_direction']) and $this_settings['all_element_setting_instance2242_direction']!='not_selected' ){
				$css_style_string=$css_style_string.'direction: '.$this_settings['all_element_setting_instance2242_direction'].'; ';
			}
			//overflow-x
			if (isset($this_settings['all_element_setting_instance2242_overflow_x']) and $this_settings['all_element_setting_instance2242_overflow_x']!='not_selected' ){
				$css_style_string=$css_style_string.'overflow-x: '.$this_settings['all_element_setting_instance2242_overflow_x'].'; ';
			}
			//overflow-y
			if (isset($this_settings['all_element_setting_instance2242_overflow_y']) and $this_settings['all_element_setting_instance2242_overflow_y']!='not_selected' ){
				$css_style_string=$css_style_string.'overflow-y: '.$this_settings['all_element_setting_instance2242_overflow_y'].'; ';
			}
			//word-break
			if (isset($this_settings['all_element_setting_instance2242_word_break']) and $this_settings['all_element_setting_instance2242_word_break']!='not_selected' ){
				$css_style_string=$css_style_string.'word-break: '.$this_settings['all_element_setting_instance2242_word_break'].'; ';
			}
			//letter-spacing
			if (isset($this_settings['all_element_setting_instance2242_letter_spacing']) and strlen($this_settings['all_element_setting_instance2242_letter_spacing']) >= 2){
				$css_style_string=$css_style_string.'letter-spacing: '.$this_settings['all_element_setting_instance2242_letter_spacing'].'; ';
			}
			//word-spacing
			if (isset($this_settings['all_element_setting_instance2242_word_spacing']) and strlen($this_settings['all_element_setting_instance2242_word_spacing']) >= 2){
				$css_style_string=$css_style_string.'word-spacing: '.$this_settings['all_element_setting_instance2242_word_spacing'].'; ';
			}
			
			
			
			//text-shadow 
			if ( isset($this_settings['all_element_setting_instance2242_text_shadow_enable']) 
			and  isset($this_settings['all_element_setting_instance2242_text_shadow_h_shadow']) 
			and  isset($this_settings['all_element_setting_instance2242_text_shadow_v_shadow']) 
			and  isset($this_settings['all_element_setting_instance2242_text_shadow_blur']) 
			and  isset($this_settings['all_element_setting_instance2242_text_shadow_color']) 
			and  $this_settings['all_element_setting_instance2242_text_shadow_enable'] == 'true' 
			and strlen($this_settings['all_element_setting_instance2242_text_shadow_h_shadow']) >= 2
			and strlen($this_settings['all_element_setting_instance2242_text_shadow_v_shadow']) >= 2
			and strlen($this_settings['all_element_setting_instance2242_text_shadow_blur']) >= 2
			and strlen($this_settings['all_element_setting_instance2242_text_shadow_color']) >= 2
			){
				$css_style_string=$css_style_string.'text-shadow: '.$this_settings['all_element_setting_instance2242_text_shadow_h_shadow'].' '.$this_settings['all_element_setting_instance2242_text_shadow_v_shadow'].' '.$this_settings['all_element_setting_instance2242_text_shadow_blur'].' '.$this_settings['all_element_setting_instance2242_text_shadow_color'].'; ';
			}
			
			
			//z-index
			if (isset($this_settings['all_element_setting_instance2242_z_index']) and strlen($this_settings['all_element_setting_instance2242_z_index']) >= 2){
				$css_style_string=$css_style_string.'z-index: '.$this_settings['all_element_setting_instance2242_z_index'].'; ';
			}
			
			//vertical-align
			if (isset($this_settings['all_element_setting_instance2242_vertical_align']) and $this_settings['all_element_setting_instance2242_vertical_align']!='not_selected' ){
				$css_style_string=$css_style_string.'vertical-align: '.$this_settings['all_element_setting_instance2242_vertical_align'].'; ';
			}

				
			}
		return $css_style_string;
	}
}
?>