<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_detect_number_of_columns_and_gab' ) ) {
	function acvc_ws_detect_number_of_columns_and_gab($device_type,$js_object_backend)
	{
		if($device_type == 'mobile'){
			$number_of_columns = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_number_mobile'];
			$gab = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_gab_mobile'];
		}elseif($device_type == 'tablet'){
			$number_of_columns = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_number_tablet'];
			$gab = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_gab_tablet'];
		}elseif($device_type == 'laptop'){
			$number_of_columns = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_number_laptop'];
			$gab = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_gab_laptop'];
		}elseif($device_type == 'desktop'){
			$number_of_columns = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_number_desktop'];
			$gab = $js_object_backend['acvc_ws_object_all_setting_for_fields_not_lightbox_fields']['all_element_setting_instance2242_columns_gab_desktop'];
		}
		$number_of_columns = (int)$number_of_columns;
		$gab = (int)$gab;
		return array(
			'number_of_columns'=> $number_of_columns,
			'gab'=> $gab,
		);
	}
}
?>