<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_detect_width_and_margin_of_columns' ) ) {
	function acvc_ws_detect_width_and_margin_of_columns($number_of_columns_and_gab )
	{
		if($number_of_columns_and_gab['number_of_columns'] == 1){
			$base_width = 100;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 2){
			$base_width =50;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 3){
			$base_width =33.33;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 4){
			$base_width =25;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 5){
			$base_width =20;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 6){
			$base_width =16.66;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 7){
			$base_width =14.22;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 8){
			$base_width =12.5;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 9){
			$base_width =11.11;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 10){
			$base_width =10;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 11){
			$base_width =9.09;
		}elseif($number_of_columns_and_gab['number_of_columns'] == 12){
			$base_width =8.33;
		}
		
		$column_width = $base_width - $number_of_columns_and_gab['gab'];
		$half_of_the_gab = (50 / 100) * $number_of_columns_and_gab['gab'];//http://stackoverflow.com/questions/10201027/how-do-i-calculate-the-percentage-of-a-number
		$margin_left = $half_of_the_gab ;
		$margin_right = $half_of_the_gab ;
		
		return array(
			'column_width'=> $column_width,
			'margin_left'=> $margin_left,
			'margin_right'=> $margin_right,
		);
		
	}
}
?>