<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_boot' ) ) {
	function acvc_ws_boot($where,$when,$who,$why,$data)
	{
		/* $where = start.php  **********************************************/
		if($where=='start.php'){
			if($when=='acvc_ws_initialization' and $who=='start.php' and $why=='create_acvc_ws_item_in_admin_menu' ){
				add_action( 'admin_menu', 'acvc_ws_add_menu_page' );
			}elseif($when=='acvc_ws_initialization' and $who=='start.php' and $why=='add_style_and_script'){
				acvc_ws_add_style_and_script_to_back_end();
				acvc_ws_add_style_and_script_to_front_end();
				acvc_ws_add_style_and_script_to_both();
			}elseif($when=='acvc_ws_initialization' and $who=='start.php' and $why=='integrate_with_vc'){
				add_action( 'init','acvc_ws_integrate_with_vc' );
			}elseif($when=='acvc_ws_initialization' and $who=='start.php' and $why=='create_param_type_the_default_query'){
				
			}elseif($when=='acvc_ws_initialization' and $who=='start.php' and $why=='render_the_shortcode'){
				add_shortcode( 'automatic_pie_chart_tag','acvc_ws_render_the_shortcode');
                add_shortcode( 'automatic_donut_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_column_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_bar_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_line_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_area_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_stepped_chart_tag','acvc_ws_render_the_shortcode');
				add_shortcode( 'automatic_scatter_chart_tag','acvc_ws_render_the_shortcode');
			}
		}elseif($where=='back_end'){
			if($when=='acvc_ws_admin_menu_item_clicked' and $who=='acvc_ws_menu_content' and $why=='see_and_manage_settings'){
				acvc_ws_settings_page();	
			}elseif($when=='integrate_with_vc' and $who=='acvc_ws_integrate_with_vc' and $why=='check_vc_is_active'){
				return acvc_ws_check_vc_is_active();
			}elseif($when=='integrate_with_vc' and $who=='acvc_ws_integrate_with_vc' and $why=='show_notice_vc_is_not_activated'){
				add_action('admin_notices', 'acvc_ws_show_notice_vc_is_not_activated' );
			}elseif($when=='integrate_with_vc' and $who=='acvc_ws_integrate_with_vc' and $why=='register_our_shortcode_within_vc'){
                acvc_ws_register_all_chart_shortcode_within_vc();
			}elseif($when=='integrate_with_vc' and $who=='acvc_ws_integrate_with_vc' and $why=='create_select_ajax_param_type'){
			     vc_add_shortcode_param( 'acvc_ws_select_ajax_param_type', 'acvc_ws_create_select_ajax_param_type' );
            }elseif($when=='postliststyles_list_is_printing' and $who=='acvc_ws_get_postliststyles_list' and $why=='need_to_ajax_loading_sign_in_postliststyles_list_page'){
			    acvc_ws_echo_ajax_loading_sign_backend();
            }elseif($when=='postliststyles_screen_is_printing' and $who=='perinter_for_postliststyles_screen' and $why=='need_to_ajax_loading_sign_in_postliststyles_screen'){
			    acvc_ws_echo_ajax_loading_sign_backend();
            }elseif($when=='postliststyles_screen_is_printing' and $who=='perinter_for_postliststyles_screen' and $why=='get_settings_of_this_postliststyle'){
			    $all_setting_from_meta = get_post_meta((int)$data, 'acvc_ws_all_setting');
				$all_setting = $all_setting_from_meta[0];
				$extracted_data = acvc_ws_extract_encrypted_data($all_setting ,'setting_interface_uploaded_data');
				return $extracted_data;
            }elseif($when=='automatic_chart_admin_menu_item_content_is_printing' and $who=='acvc_ws_menu_content' and $why=='need_to_echo_postliststyles_list_screen'){
			    acvc_ws_get_postliststyles_list();
            }
		}elseif($where=='acvc_ws_ajax_request_file'){
			if($when=='an_ajax_call_run' and $who=='acvc_ws_ajax_request_file' and $why==''){
				//$_POST
				//var_dump($_POST);
				$type_of_ajax_request=$_POST['type_of_ajax_request'];
				if($type_of_ajax_request=="get_values_of_selected_dimension"){
					acvc_ws_toar_get_values_of_selected_dimension();
				}elseif($type_of_ajax_request=="get_values_of_selected_dimension_in_vc"){
					acvc_ws_toar_get_values_of_selected_dimension_in_vc();
				}elseif($type_of_ajax_request=="row_of_data_table_clicked"){
					acvc_ws_toar_row_of_data_table_clicked();
				}elseif($type_of_ajax_request=="th_row_of_data_table_clicked"){
					acvc_ws_toar_th_row_of_data_table_clicked();
				}elseif($type_of_ajax_request=="post_list_pagination_number_clicked"){
					acvc_ws_toar_post_list_pagination_number_clicked();	
				}elseif($type_of_ajax_request=="create_new_postliststyles_botton_clicked"){
					acvc_ws_toar_create_new_postliststyles_botton_clicked();
				}elseif($type_of_ajax_request=="close_botton_in_postliststyles_screen_clicked"){
					acvc_ws_get_postliststyles_list();
				}elseif($type_of_ajax_request=="save_botton_in_postliststyles_screen_clicked"){
					acvc_ws_toar_save_botton_in_postliststyles_screen_clicked();
				}elseif($type_of_ajax_request=="save_and_close_botton_in_postliststyles_screen_clicked"){
					acvc_ws_toar_save_and_close_botton_in_postliststyles_screen_clicked();
				}elseif($type_of_ajax_request=="reset_botton_in_postliststyles_screen_clicked"){
					acvc_ws_print_postliststyles_screen((int)$_POST['postliststyle_post_id'] ,'existing');
				}elseif($type_of_ajax_request=="open_this_postliststyles_botton_clicked"){
					acvc_ws_echo_js_object_for_all_available_options_of_this_postliststyle((int)$_POST['postliststyle_post_id']);
					acvc_ws_print_postliststyles_screen((int)$_POST['postliststyle_post_id'] ,'existing');
				}elseif($type_of_ajax_request=="delete_this_postliststyles_botton_clicked"){
					acvc_ws_toar_delete_this_postliststyles_botton_clicked();
				}elseif($type_of_ajax_request=="duplicate_this_postliststyles_botton_clicked"){
					acvc_ws_toar_duplicate_this_postliststyles_botton_clicked();
				}
			}
		}
		 
	}
}
?>