<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
if ( ! function_exists( 'acvc_ws_echo_post_list_in_light_box' ) ) {
	function acvc_ws_echo_post_list_in_light_box($this_posts ,$post_list_style_id ,$width_of_the_windows)
	{
		
		$js_object_backend = get_js_object_bakend_by_postlist_style_id($post_list_style_id);
		//var_dump($_POST);
		//
		$device_type = acvc_ws_detect_device_by_windows_size((int)$width_of_the_windows);
		//
		$number_of_columns_and_gab = acvc_ws_detect_number_of_columns_and_gab($device_type,$js_object_backend);
		//var_dump($device_type);
		//
		$width_and_margin_of_columns = acvc_ws_detect_width_and_margin_of_columns($number_of_columns_and_gab);
		
		$post_list_item_wrapper_style = acvc_ws_inline_style_creator($js_object_backend['acvc_ws_object_all_style_stting_container']['general']['post_list_sortable_main_continer']);
		//var_dump($post_list_item_wrapper_style);
		foreach($this_posts as $id){
		  ?> 
		  <div class="acvc_ws_post_list_item_wrapper mCustomScrollbar" style="width:<?php echo $width_and_margin_of_columns['column_width'] ?>%;margin-left: <?php echo $width_and_margin_of_columns['margin_left'] ?>%; margin-right: <?php echo $width_and_margin_of_columns['margin_right'] ?>%; <?php echo $post_list_item_wrapper_style; ?> ">
		  
			<?php 
			$this_post = get_post( $id ); 
			//var_dump($this_post);
			$title = $this_post->post_title;
			
			
			foreach($js_object_backend['post_list_content_for_list_items_2242'] as $this_element_id => $array){
				
				//load setting of this element from the setting array
				$this_settings = $js_object_backend['acvc_ws_object_all_style_stting_container']['post_list_section'][$this_element_id];
				$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
				$css_of_this_element_chaild = acvc_ws_inline_style_creator_for_chaild_element($this_settings);
				$css_of_this_element_parent = acvc_ws_inline_style_creator_for_parent_element($this_settings);
				
				if($array['element_type']== 'dynamic'){
					if($array['dimension_gruop']== 'basic') {
						
						$link_this_element = $this_settings['all_element_setting_instance2242_link_this_element']; 
						$link_this_element_target = $this_settings['all_element_setting_instance2242_link_this_element_target'];
						
						if($array['dimension_name']== 'featured_image'){
							$featured_image_size = $this_settings['all_element_setting_instance2242_featured_image_size']; 
						}elseif($array['dimension_name']== 'post_date'){
							$date_format = $this_settings['all_element_setting_instance2242_date_format']; 
						}elseif($array['dimension_name']== 'post_modified'){
							$date_format = $this_settings['all_element_setting_instance2242_date_format']; 
						}elseif($array['dimension_name']== 'post_author'){
							
						}
					}elseif($array['dimension_gruop']== 'taxo') {
						$term_separator = $this_settings['all_element_setting_instance2242_term_separator']; 
						$term_link_targe = $this_settings['all_element_setting_instance2242_term_link_target'];
					}elseif($array['dimension_gruop']== 'field') {
						$link_this_element = $this_settings['all_element_setting_instance2242_link_this_element']; 
						$link_this_element_target = $this_settings['all_element_setting_instance2242_link_this_element_target'];
					}
					
				}elseif($array['element_type']== 'static'){
					if($array['dimension_name']== 'delimiter') {
						$custom_content_delimiter = $this_settings['all_element_setting_instance2242_custom_content_delimiter']; 
					}elseif($array['dimension_name']== 'custom_text') {
						$custom_content_custom_text = $this_settings['all_element_setting_instance2242_custom_content_custom_text']; 
					}
					
				}
				
				
				
				
				if($array['element_type']== 'dynamic'){
					if($array['dimension_gruop']== 'basic') {

						if($array['dimension_name']== 'featured_image'){
							 if ( has_post_thumbnail($id) ) { 
								if($link_this_element == 'yes'){
									$css_of_this_element_chaild = acvc_ws_inline_style_creator_for_chaild_element($this_settings);
									$css_of_this_element_parent = acvc_ws_inline_style_creator_for_parent_element($this_settings);
									$this_content = '<a href="' . get_permalink( $id ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" style="' . $css_of_this_element_parent . '" target="' . $link_this_element_target . '" >' . '<img src="'.get_the_post_thumbnail_url( $id, $featured_image_size ).'" style="' . $css_of_this_element_chaild . '" >' . '</a>';
								}else{
									$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
									$this_content ='<img src="'.get_the_post_thumbnail_url( $id, $featured_image_size ).'" style="' . $css_of_this_element . '" >';
								}
								echo $this_content;
							}else{
								
								if($link_this_element == 'yes'){
									$css_of_this_element_chaild = acvc_ws_inline_style_creator_for_chaild_element($this_settings);
									$css_of_this_element_parent = acvc_ws_inline_style_creator_for_parent_element($this_settings);
									$this_content = '<a href="' . get_permalink( $id ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" style="' . $css_of_this_element_parent . '" target="' . $link_this_element_target . '" >' . '<img src="'.ACVC_WS_PLACEHOLDER_SQUARE.'" style="' . $css_of_this_element_chaild . '" >' . '</a>';
								}else{
									$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
									$this_content ='<img src="'.ACVC_WS_PLACEHOLDER_SQUARE.'" style="' . $css_of_this_element . '" >';
								}
								echo $this_content;
								
							}
						}elseif($array['dimension_name']== 'post_date'){
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							$this_content ='<div  style="' . $css_of_this_element . '" >'.get_the_date( $date_format, $id ).'</div>';
							echo $this_content;
						}elseif($array['dimension_name']== 'post_modified'){
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							$this_content ='<div  style="' . $css_of_this_element . '" >'.get_the_modified_date( $date_format, $id ).'</div>';
							echo $this_content;
						}elseif($array['dimension_name']== 'post_author'){
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							$post_author = $this_post->post_author;
							$this_content ='<div  style="' . $css_of_this_element . '" >'. get_the_author_meta( 'display_name', (int)$post_author ) .'</div>';
							echo $this_content;
						}elseif($array['dimension_name']== 'post_title'){
							if($link_this_element == 'yes'){
								$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
								$this_content = '<a href="' . get_permalink( $id ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" style="' . $css_of_this_element . '" target="' . $link_this_element_target . '" >'. $this_post->$array['dimension_name'] .'</a>';
							}else{
								$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
								$this_content ='<div  style="' . $css_of_this_element . '" >'. $this_post->$array['dimension_name'] .'</div>';
							}
							echo $this_content;
						}elseif($array['dimension_name']== 'post_excerpt'){
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							$excerpt = get_the_excerpt($id);
							if ( '' != $excerpt ) {
								$this_content ='<div  style="' . $css_of_this_element . '" >'. $excerpt .'</div>';
								echo $this_content;
							}
						}else{
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							//$this_content ='<div  style="' . $css_of_this_element . '" >'.wp_strip_all_tags( $this_post->$array['dimension_name']) .'</div>';
							$this_content ='<div  style="' . $css_of_this_element . '" >'. $this_post->$array['dimension_name'] .'</div>';
							echo $this_content;
						}
					}elseif($array['dimension_gruop']== 'taxo') {
						$args = array('orderby' => 'name', 'order' => 'ASC', 'fields' => 'all');
						$terms = wp_get_post_terms( $id, $array['dimension_name'], $args );
						if(count($terms)>=1){
							$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
							$css_of_this_element_terms = acvc_ws_inline_style_creator_for_texonomy_terms($this_settings);
							?><div style="<?php echo $css_of_this_element; ?>"><?php 
								$i = 0;
								$len = count($terms);
								foreach ( $terms as $term ) {
									$term_link = get_term_link( $term );
									if ( is_wp_error( $term_link ) ) { continue;}
									if($term_link_targe=='_self'){
										echo '<a href="' . esc_url( $term_link ) . '" style="' . $css_of_this_element_terms . '" >' . $term->name . '</a>';
									}else{
										echo '<a href="' . esc_url( $term_link ) . '" style="' . $css_of_this_element_terms . '" target="_blank">' . $term->name . '</a>';
									}
									if ($i != $len - 1) {
										//not last iteration
										echo $term_separator;
									}
									$i++;
								}
								
							?></div><?php 
						}
					}elseif($array['dimension_gruop']== 'field') {
						$meta_values = get_post_meta( $id,  $array['dimension_name'] );
						if(count($meta_values)>=1){
							
							if($term_link_targe=='_self'){
										$target = ' target="_self"';
									}else{
										$target = ' target="_blank"';
									}
							if($link_this_element == 'yes'){
								$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
								?><a href="<?php echo get_permalink( $id ); ?>" style="<?php echo $css_of_this_element; ?>" <?php echo $target; ?> ><?php 
									foreach($meta_values as $meta_value){
										echo $meta_value .' ';
									}
								?></a><?php 
							
							}else{
								$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
								?><div style="<?php echo $css_of_this_element; ?>"><?php 
									foreach($meta_values as $meta_value){
										echo $meta_value .' ';
									}
								?></div><?php 
							}
						}
					}
					
				}elseif($array['element_type']== 'static'){
					if($array['dimension_name']== 'delimiter') {
						$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
						$this_content ='<div  style="' . $css_of_this_element . '" >'. $custom_content_delimiter .'</div>';
						echo $this_content;
					}elseif($array['dimension_name']== 'custom_text') {
						$css_of_this_element = acvc_ws_inline_style_creator($this_settings);
						$this_content ='<div  style="' . $css_of_this_element . '" >'. $custom_content_custom_text .'</div>';
						echo $this_content;
					}
					
				}
				
				
				
				
				
				
				
			}
			






			?>
		  
		  </div>
		  
		  <?php
		
	  }
	  	  
	}
}
?>