<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 






if ( ! function_exists( 'acvc_ws_render_the_pie_shortcode' ) ) {
function acvc_ws_render_the_shortcode( $atts ,$content = null , $name) {
	
	
	//http://stackoverflow.com/questions/10789238/get-php-dynamically-generated-html-code-as-a-string
	# get php dynamically generated html code as a string - Stack Overflow
	# start redirecting output to a buffer  
	ob_start();
	
	
	if($name == 'automatic_pie_chart_tag'){
		$current_chart_type = 'pie';
	}elseif($name == 'automatic_donut_chart_tag'){
		$current_chart_type = 'donut';
	}elseif($name == 'automatic_column_chart_tag'){
		$current_chart_type = 'column';
	}elseif($name == 'automatic_bar_chart_tag'){
		$current_chart_type = 'bar';
	}elseif($name == 'automatic_line_chart_tag'){
		$current_chart_type = 'line';
	}elseif($name == 'automatic_area_chart_tag'){
		$current_chart_type = 'area';
	}elseif($name == 'automatic_stepped_chart_tag'){
		$current_chart_type = 'stepped';
	}elseif($name == 'automatic_scatter_chart_tag'){
		$current_chart_type = 'scatter';
	}
	
	$ready_to_use_array_options=acvc_create_array_option_for_current_running_shortcode( $GLOBALS['list_of_all_params_for_'.$current_chart_type] ,$atts );
	$result_post_ides = acvc_ws_get_post_ides_for_current_running_shortcode_based_on_its_query( $ready_to_use_array_options );
	$selected_dimension_array = acvc_ws_get_selected_dimension_of_the_current_chart( $ready_to_use_array_options );
	$all_value_of_selected_dimension_thats_founded_in_thes_posts = acvc_ws_get_contents_of_selected_dimension_based_on_current_post_ides( $ready_to_use_array_options , $result_post_ides , $selected_dimension_array );
	$ready_data_table = array_count_values($all_value_of_selected_dimension_thats_founded_in_thes_posts);
	$ready_data_table_managed= acvc_ws_manage_empty_and_one_space_values( $ready_to_use_array_options , $ready_data_table  );
	$ready_data_table_managed_filtered = acvc_ws_exclude_values_if_them_length_more_than_this( $ready_to_use_array_options , $ready_data_table_managed  );
	$ready_data_table_managed_filtered_agin = acvc_ws_exclude_values_if_repeated_less_than_this( $ready_to_use_array_options , $ready_data_table_managed_filtered  ) ;
	$ready_data_table_managed_filtered_agin_sliced = acvc_ws_if_chart_items_more_than_this_hide_surpluses( $ready_to_use_array_options , $ready_data_table_managed_filtered_agin  );
	$return = acvc_ws_print_js_function_and_its_html_which_initialize_the_chart( $ready_to_use_array_options , $ready_data_table_managed_filtered_agin_sliced  , $name , $selected_dimension_array ,$result_post_ides );
	
	?>
	<script>
	function getAllFunctions(){ 
			var allfunctions=[];
			  for ( var i in window) {
			if((typeof window[i]).toString()=="function"){
				allfunctions.push(window[i].name);
				
			  }
		   }
		   //console.log(allfunctions);
		   return allfunctions;
		}
		
	allfunctions = getAllFunctions();

	if (typeof google_charts_load_has_been_called !== 'undefined') {
		// the google_charts_load_has_been_called is defined
	}else{
		var google_charts_load_has_been_called = false ;
		google.charts.load('current', {'packages':['corechart', 'table']});
		var google_charts_load_has_been_called = true ;
	}
	// Callback that creates and populates a data table,
	// draws it.
	function acvc_ws_draw_chart() {
		
		
		var arrayLength = allfunctions.length;
		for (var i = 0; i < arrayLength; i++) {
			//alert(allfunctions[i]);
			var string = allfunctions[i];
			var expr = "acvc_ws_chartxx";
			var number = string.includes(expr);
			if(number == true){
				//alert(allfunctions[i]);
				window[allfunctions[i]]();
			}else{
			}
		
		}
				
				
	}
			
			
			
	if (document.addEventListener) {
		window.addEventListener('resize', acvc_ws_draw_chart);
	}
	else if (document.attachEvent) {
		window.attachEvent('onresize', acvc_ws_draw_chart);
	}
	else {
		window.resize = acvc_ws_draw_chart;
	}	

	jQuery(document).ready(function(){
		// Set a callback to run when the Google Visualization API is loaded.
		google.charts.setOnLoadCallback(acvc_ws_draw_chart);
	});	
	</script><?php






	//var_dump($ready_data_table);
	//var_dump($ready_data_table_managed);
	//var_dump($ready_data_table_managed_filtered_agin_sliced);
	//var_dump($ready_data_table);
	//var_dump($selected_dimension_array);
	//var_dump($GLOBALS);
	//var_dump($ready_to_use_array_options['chart_options_width']);
	//var_dump($current_chart_type);
	
	// extract( shortcode_atts( array(
	//	  'type_of_this_shortcode' => 'something',
	// ), $atts ) );
  
   //$content = wpb_js_remove_wpautop($content, true); // fix unclosed/unwanted paragraph tags in $content
  
	# grab whatever got output since ob_start() (and stop buffering)
	$html = ob_get_clean();
	
	
      return $html;
    }
}


?>