<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
//add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position );

if ( ! function_exists( 'acvc_ws_register_stepped_chart_shortcode_within_vc' ) ) {
function acvc_ws_register_stepped_chart_shortcode_within_vc()
	{ 
		/*
        Add your Visual Composer logic here.
        Lets call vc_map function to "register" our custom shortcode within Visual Composer interface.

        More info: http://kb.wpbakery.com/index.php?title=Vc_map
        */
        vc_map( array(
            "name" => __("Automatic Stepped", 'acvc_ws'),
            "description" => __("based on your wordpress data", 'acvc_ws'),
            "base" => "automatic_stepped_chart_tag",
            "class" => "automatic_stepped_chart_for_vc",
            "controls" => "full",
			"weight" => 1,
            "icon" => ACVC_WS_BASE_URL.'/assets/images/charts_icons/stepped.png', // or css class name which you can reffer in your css file later. Example: "acvc_ws_my_class"
            "category" => __('Automatic Chart', 'acvc_ws'),
           // 'admin_enqueue_js' => array(ACVC_WS_BASE_URL.'/assets/js/back_end/vc_script.js'),
            //'admin_enqueue_css' => array(ACVC_WS_BASE_URL.'/assets/css/back_end/vc_style.css'),
			//'front_enqueue_js' => array(ACVC_WS_BASE_URL.'/assets/js/back_end/vc_script.js'),
			//'front_enqueue_css' => array(ACVC_WS_BASE_URL.'/assets/css/back_end/vc_style.css'),
            "params" => array(
               
             array(
                  "type" => "colorpicker",
                  "holder" => "div",
                  "class" => "",
                  "heading" => __("Text color", 'acvc_ws'),
                  "param_name" => "color",
                  "value" => '#FF0000', //Default Red color
				  "group"=> "Source",
                  "description" => __("Choose text color", 'acvc_ws')
              ),
              array(
                  "type" => "textarea_html",
                  "holder" => "div",
                  "class" => "",
                  "heading" => __("Content", 'acvc_ws'),
                  "param_name" => "content",
                  "value" => __("<p>I am test text block. Click edit button to change this text.</p>", 'acvc_ws'),
				  "group"=> "Setting",
                  "description" => __("Enter your content.", 'acvc_ws')
              ),
			   array(
                  "type" => "textfield",
                  "holder" => "div",
                  "class" => "",
                  "heading" => __("Text", 'acvc_ws'),
                  "param_name" => "foo",
                  "value" => __("Default params value", 'acvc_ws'),
				  "group"=> "Design",
                  "description" => __("Description for foo param.", 'acvc_ws')
              ),
            ),
        ) );
	 }
}


?>